# Generated by Makefile. Do not edit.

commit adfffad88d1ca2f9c620e02b3754dfe08a194d26
Author: Marcus Lundblad <ml@update.uu.se>
Date:   Fri Apr 3 12:31:07 2015 +0200

    window: mark date format string for new event popover for translation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746928

 src/gcal-window.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 4b24023c9c04e488e3ff2ad3d102e5b7c2a1c4e8
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Tue Apr 7 15:26:21 2015 +0700

    Updated Thai translation

 po/LINGUAS |   1 +
 po/th.po   | 309 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 310 insertions(+)

commit c85b7394f952f894f411aa56b66d859466e59dbf
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Apr 3 10:06:19 2015 -0300

    search: split listbox sort function
    
    It'll be needed for future work on
    pagination, so the sorting logic can
    be reused.

 src/gcal-search-view.c | 19 ++++++++++++++++---
 1 file changed, 16 insertions(+), 3 deletions(-)

commit f4d0e4856966f5f1bf04c2341e6e43927a2e6ede
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Apr 3 09:41:46 2015 -0300

    search: small refactoring of the code
    
    Use GObject::set_data and ::get_data
    to get rid of an useless hash table.

 src/gcal-search-view.c | 68 +++++++++++++++++++++++++-------------------------
 1 file changed, 34 insertions(+), 34 deletions(-)

commit 626e07982bf90fd598c0f3b9810b27893db2038a
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Apr 2 14:40:28 2015 -0300

    project: fix schema translation
    
    Don't merge translations to the
    XML file since DConf can't handle
    that.

 data/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 80775a1e54d433503d52bd87822515bb0ccd7af7
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Apr 2 12:38:41 2015 -0300

    window: change "More Details" button label to "Edit Details"
    
    As asked by Allan, this better describes
    the purpose of this button.

 data/ui/window.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 955c9349562c83d0c2f58acfcd7becf714beaade
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Apr 2 12:17:20 2015 -0300

    window: block automatic creation of nameless events
    
    We shouldn't let nameless events be created.
    This commit blocks all ways to create them
    when the name is not set.
    
    The user can still edit events' data.

 data/ui/window.ui |  2 ++
 src/gcal-window.c | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

commit 85dd9953297be401e02b7e0faa2e2c4452d6b4d3
Author: A S Alam <aalam@users.sf.net>
Date:   Sat Mar 28 20:01:08 2015 -0500

    Translation pa updated for Gnome

 po/pa.po | 456 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 288 insertions(+), 168 deletions(-)

commit 332317e452e922bb10e1779dbc29184296f73975
Author: Abderrahim Kitouni <a.kitouni@gmail.com>
Date:   Sat Mar 28 12:00:25 2015 +0100

    Added Arabic translation

 po/LINGUAS |   1 +
 po/ar.po   | 315 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 316 insertions(+)

commit 200e47dbe37972acfe76a588d517f7e3626a2049
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Mar 28 07:50:27 2015 +0000

    Updated Slovak translation

 po/sk.po | 8404 ++------------------------------------------------------------
 1 file changed, 225 insertions(+), 8179 deletions(-)

commit caae079056b944cbac3c0e0aeb24625e32f24231
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Fri Mar 27 15:58:43 2015 +0000

    Updated Slovak translation

 po/sk.po | 8406 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 8180 insertions(+), 226 deletions(-)

commit 1f68d2a96a2f4f2a1ee5d692f02aa53772286a21
Author: Jordi Mas <jmas@softcatala.org>
Date:   Mon Mar 23 17:43:10 2015 -0400

    Update Catalan translation

 po/ca.po | 450 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 271 insertions(+), 179 deletions(-)

commit 0c794f1eae2eef4240e818df5c6752b854588cce
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Mon Mar 23 19:07:59 2015 +0100

    Updated Basque language

 po/eu.po | 121 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 71 insertions(+), 50 deletions(-)

commit 3ac30070ab69a1d71dd9d06397a7ccc456bea285
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Mar 22 16:46:49 2015 +0000

    Updated Turkish translation

 po/tr.po | 96 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 52 insertions(+), 44 deletions(-)

commit 7669a634de2095eedd7c2ea5725a3ce934e81a08
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Mar 20 13:31:52 2015 -0400

    Bump version to 3.16.0 for release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c67c680fe78980be921184949620a99797147645
Author: Mattias Eriksson <snaggen@gmail.com>
Date:   Wed Mar 18 15:00:34 2015 +0000

    Updated Swedish translation

 po/sv.po | 465 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 282 insertions(+), 183 deletions(-)

commit 5b3575edff159c48723216d2d5689a3a97c1ddf3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 16 13:21:46 2015 -0400

    Bump version to 3.15.92 for release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ad15b6155865925ec469dc19f207cf9352a2aee
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 16 13:15:47 2015 -0400

    misc: remove unused gitmodules file

 .gitmodules | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit e5c7dee5d80cc55914c847f071a0b8433deb8558
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 16 13:07:54 2015 -0400

    misc: code style fixing

 src/gcal-edit-dialog.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cac370e6b7f72ec20e585f558c2311171dfc75f3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 16 13:07:34 2015 -0400

    edit-dialog: handle timezone properly

 src/gcal-edit-dialog.c | 44 ++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 40 insertions(+), 4 deletions(-)

commit 46c67688e1ac77fa3e91d717d3d7d3b1b91ae064
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 16 12:41:11 2015 -0400

    year-view: set sidebar range timezone

 src/gcal-year-view.c | 2 ++
 1 file changed, 2 insertions(+)

commit 636df18f641b44e614c4cf8983aab02a7f0ef1ed
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 16 12:37:43 2015 -0400

    event-widget: convert date/time to local timezone

 src/gcal-event-widget.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit abc999dff0bfd770b0ac054c7aaf25eb6b85e6e3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 16 12:25:14 2015 -0400

    shell-search: fix timezone handling

 src/gcal-shell-search-provider.c | 35 ++++++++++++++++++++++++++++++-----
 1 file changed, 30 insertions(+), 5 deletions(-)

commit f7e897fefe29c3ce9691924c68cf1d01151ad748
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 16 12:15:22 2015 -0400

    search-view: fix timezone handling

 src/gcal-search-view.c | 30 ++++++++++++++++++++----------
 1 file changed, 20 insertions(+), 10 deletions(-)

commit 26de291b7d1e685bb849ea770e5fc0df051eb4ab
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Mar 15 14:42:10 2015 +0100

    Updated Danish translation

 po/da.po | 476 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 289 insertions(+), 187 deletions(-)

commit 76d3a012d7c1173746eeba45fb0248166f60e85c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Mar 15 13:30:22 2015 +0100

    Updated Slovenian translation

 po/sl.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed90dc4da8beec03574dd8ea7d49647d7c720ef5
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Mar 15 13:25:21 2015 +0100

    Updated Slovenian translation

 po/sl.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 51e7550af885d9f1d5728efa68845e6c2cf48083
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Mar 15 13:18:57 2015 +0100

    Updated Slovenian translation

 po/sl.po | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit fd3af45ad004ea888872c2bc45da0075ab1e0c06
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Mar 8 21:57:28 2015 +0100

    Updated Slovenian translation

 po/sl.po | 456 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 276 insertions(+), 180 deletions(-)

commit c2dddebfe35f5e875de47df4e4540ff39ac9a151
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 20:27:32 2015 +0000

    Added Bosnian translation

 po/LINGUAS |   1 +
 po/bs.po   | 320 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 321 insertions(+)

commit 02e21b5aa8c8bc7e8d05213bf152b15162b0c6cc
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:   Wed Mar 11 16:57:52 2015 +0200

    Finnish translation update

 po/fi.po | 467 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 288 insertions(+), 179 deletions(-)

commit db8c496cb7981ab5edb61836861b2bf8cebc7459
Author: Simon Linden <xhi2018@googlemail.com>
Date:   Tue Mar 10 19:45:30 2015 +0000

    Updated German translation

 po/de.po | 87 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 48 insertions(+), 39 deletions(-)

commit da20bcd3afacc6e755fc89e0f526178ee2b2f685
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Mar 8 16:10:50 2015 +0000

    Updated Italian translation

 po/it.po | 406 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 220 insertions(+), 186 deletions(-)

commit 872df498fcdf3b5d15e9030aa0d9d6d6102db458
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Sun Mar 8 01:43:11 2015 +0900

    Updated Korean translation

 po/ko.po | 449 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 274 insertions(+), 175 deletions(-)

commit c7563da2d02a3fce63088a57ea8e73cf547d2fec
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Mar 6 11:32:32 2015 -0500

    app: handle calendars colours better
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=745487

 src/gcal-application.c           | 8 ++++++--
 src/gcal-edit-dialog.c           | 6 +++---
 src/gcal-event-widget.c          | 8 +++++---
 src/gcal-manager.c               | 1 -
 src/gcal-search-view.c           | 2 +-
 src/gcal-shell-search-provider.c | 2 +-
 src/gcal-utils.c                 | 9 ++++++---
 src/gcal-utils.h                 | 3 ++-
 src/gcal-window.c                | 2 +-
 9 files changed, 25 insertions(+), 16 deletions(-)

commit 9f20c3f2f9fbe2365b530520c1058e68df6d84f4
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Mar 5 13:33:24 2015 -0500

    edit-dialog: fix ref leak when selecting a calendar

 src/gcal-edit-dialog.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8589cde0f56195789e150e3d4506b201021d5ca6
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Mar 5 13:08:39 2015 -0500

    utils: clean description of whitespaces

 src/gcal-utils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00ed98c18bf8b4cd9eece363d7d64d7248fb611d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 5 20:33:07 2015 +0100

    Updated Serbian translation

 po/sr.po       | 205 +++++++++++++++++++++++++++++++++++++++------------------
 po/sr@latin.po | 205 +++++++++++++++++++++++++++++++++++++++------------------
 2 files changed, 282 insertions(+), 128 deletions(-)

commit dc65fae51b994cb97b6c6194b6b5e74d3c6a2aed
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Thu Mar 5 05:09:26 2015 +0000

    Added Kazakh translation

 po/LINGUAS |   1 +
 po/kk.po   | 314 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 315 insertions(+)

commit 47e78ce1b1033ca1c92cdc1f9ec470ba99e7849f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Mar 4 10:14:38 2015 -0500

    date-selector: fix labels order in RTL locales

 src/gcal-date-selector.c | 1 +
 1 file changed, 1 insertion(+)

commit 12188aed7f82a4c14c18c1bc31fc3819309ef785
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Mar 4 10:10:24 2015 -0500

    date-selector: fix style on RTL locales

 data/theme/gtk-styles.css | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 52634b982e80d21b72e0507cd381c18cd1cec630
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Mar 4 10:02:42 2015 -0500

    date-selector: fix children order in RTL locales
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=745117

 src/gcal-date-selector.c | 2 ++
 1 file changed, 2 insertions(+)

commit 089606ea77b0c1ba9fc4e1252660a085da3da5d5
Author: Guillaume Bernard <translate@filorin.fr>
Date:   Wed Mar 4 12:01:14 2015 +0000

    Updated French translation

 po/fr.po | 405 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 221 insertions(+), 184 deletions(-)

commit fb8f67797bae813b9b8dd655861e9b7060844831
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 2 21:22:22 2015 +0100

    Updated Polish translation

 po/pl.po | 150 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 78 insertions(+), 72 deletions(-)

commit 81241a19e8f16671c22e06b0ea18f30e12dc3d33
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 2 14:13:29 2015 -0500

    Bump version to 3.15.91 for release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f2a131d7b9115b004752877385661a10c420e0c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Mar 2 14:04:32 2015 -0500

    search-view: set popover bottom position explicitly

 data/ui/window.ui | 1 +
 1 file changed, 1 insertion(+)

commit 8abfa779438dc9cdc61492fe704e52532d2da9bb
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Mar 2 19:22:01 2015 +0100

    Updated Czech translation

 po/cs.po | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit eb9cf58bffe6d099612f060a5111a7b4a18b3427
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Mar 2 14:56:40 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 52 ++++++++++++++++++++++++++--------------------------
 1 file changed, 26 insertions(+), 26 deletions(-)

commit ef57c16a66ed01bdbbbd6fa8a812db2e4b69aed5
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Mar 1 09:47:12 2015 +0000

    Updated Hungarian translation

 po/hu.po | 192 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 133 insertions(+), 59 deletions(-)

commit 88be987502ae06bdd6a3f14409dc0a4f8a56f4b2
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Feb 27 11:57:58 2015 +0200

    Updated Ukrainian translation

 po/uk.po | 62 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 35 insertions(+), 27 deletions(-)

commit 7208376d0338bc722ac070d816c091596e2f26c6
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Wed Feb 25 05:22:57 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 184 ++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 110 insertions(+), 74 deletions(-)

commit 4c162e6d9741d16fed1ec585e0ec416482692df1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Feb 23 07:28:45 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 63 +++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 36 insertions(+), 27 deletions(-)

commit b5bc9577a7de01c46565a20a5ce1021988da6a76
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Sat Feb 21 22:02:17 2015 +0200

    Updated Greek translation

 po/el.po | 126 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 72 insertions(+), 54 deletions(-)

commit 7ec3346133b23725aeb22dad176120a4b2ae26d3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 21 10:43:26 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 435 ++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 263 insertions(+), 172 deletions(-)

commit 97f086db989275bc71b795cd6553aacc9fed96d9
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:   Fri Feb 20 19:20:43 2015 +0000

    Updated Greek translation

 po/el.po | 458 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 276 insertions(+), 182 deletions(-)

commit e392b016e6852597a5cb72033efa380a0555e471
Author: Jonas Skarulskis <jonas.ska@gmail.com>
Date:   Thu Feb 19 23:22:00 2015 +0200

    Added Lithuanian translation

 po/LINGUAS |   1 +
 po/lt.po   | 320 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 321 insertions(+)

commit 5dfa1c6ecda905773b0e6eb63d4aec919fbb3d19
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Thu Feb 19 10:29:37 2015 +0100

    Updated Galician translations

 po/gl.po | 459 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 280 insertions(+), 179 deletions(-)

commit c241c555a7d79a6859ff85122aeef2e7536fc410
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Thu Feb 19 10:22:59 2015 +0300

    Updated Russian translation

 po/ru.po | 91 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 50 insertions(+), 41 deletions(-)

commit 75ca8f545f5534043d6a4d99a411eaba5878b8ad
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Feb 18 14:50:59 2015 +0000

    Updated Slovak translation

 po/sk.po | 61 +++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 35 insertions(+), 26 deletions(-)

commit 5606cbdb8dd4703e46bba01b97316ee0b0155ec6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 17 18:33:51 2015 +0100

    Updated Spanish translation

 po/es.po | 42 +++++++++++++++++++++++-------------------
 1 file changed, 23 insertions(+), 19 deletions(-)

commit 96c8120d286b1d7a99052ae97f1c47388c20c3dc
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Feb 16 17:37:01 2015 -0500

    month-view: optimized event-widget parts removal

 src/gcal-month-view.c | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit edec70fe0db8daa330c3fb7d2deb082c87362285
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Feb 16 17:14:51 2015 -0500

    search: use new compare function

 src/gcal-search-view.c           | 27 +--------------------------
 src/gcal-shell-search-provider.c | 30 ++++++++++++++++++++++++++++--
 2 files changed, 29 insertions(+), 28 deletions(-)

commit 87d35dd4432da6a5df2fd369736c5728593c9635
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Feb 16 17:13:02 2015 -0500

    utils: gained compare API

 src/gcal-utils.c | 37 +++++++++++++++++++++++++++++++++++++
 src/gcal-utils.h |  4 ++++
 2 files changed, 41 insertions(+)

commit c0acef2d19a542d4ba7680f5d84b8882ec7988b9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Feb 16 13:06:52 2015 -0500

    Bump version to 3.15.90 for release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a752e00aeb011e4d5ca81a5c116881bc242c0750
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Feb 16 13:02:54 2015 -0500

    NEWS: updated for release

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit f659570fa470532c6d7b3069c953b1af20bc5917
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Feb 17 01:27:24 2015 +0200

    Updated Hebrew translation

 po/he.po | 100 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 58 insertions(+), 42 deletions(-)

commit b502ccd363b6b7c53401efd1b36dcaaa9545b791
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Feb 16 12:53:29 2015 -0500

    misc: fix styling

 src/gcal-manager.c         | 4 ++--
 src/gcal-search-view.c     | 6 ++----
 src/gcal-subscriber-view.c | 4 ++--
 3 files changed, 6 insertions(+), 8 deletions(-)

commit aef9960d734a0a1fa3d02e1da93b8f8bfa42f82e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Feb 16 12:52:30 2015 -0500

    search-view: fix double free of ListBox's rows

 src/gcal-search-view.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b86f3817050c043da3d8df179cc6eeadab5838de
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Feb 16 12:51:32 2015 -0500

    search-view: changed sorting of results
    
    This sorting promotes the results closer to the time when the search was done.

 src/gcal-search-view.c | 48 +++++++++++++++++++++++++++++++-----------------
 1 file changed, 31 insertions(+), 17 deletions(-)

commit bdd751c03b997f6f6a1588f1298f6382c90a1a62
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Feb 16 18:24:40 2015 +0100

    Updated Norwegian bokmål translation from Åka Sikrom.

 po/nb.po | 88 ++++++++++++++++------------------------------------------------
 1 file changed, 22 insertions(+), 66 deletions(-)

commit 91defe22defc6831ae70c77d9b1dd19051d25f8c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Feb 16 00:01:26 2015 -0500

    window: handle reissue of in-app notification
    
    For now we throw the first one away, and show the second. Eventually we
    could handle this better.

 data/ui/window.ui |  2 +-
 src/gcal-window.c | 64 ++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 38 insertions(+), 28 deletions(-)

commit 15604b13d8e491294093b4cbbb84eaa4bb4ec466
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 21:59:23 2015 -0500

    year-view: fix sidebar headers

 src/gcal-year-view.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 264492580ec3eeeb6ea25f0a8a38573495697c97
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 20:43:50 2015 -0500

    edit-dialog: convert time to timezone

 src/gcal-edit-dialog.c | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit 8f1b118abbd8b6bf198056960b2c9ecfe2e408a9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 20:40:43 2015 -0500

    event-widget: fix events with no end date

 src/gcal-event-widget.c | 2 +-
 src/gcal-utils.c        | 3 +++
 src/gcal-year-view.c    | 5 ++++-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 4c7a99e7bfacfd9cc593afd2019356fa2e75834f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 20:09:18 2015 -0500

    event-widget: handle timezone properly

 src/gcal-event-widget.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8fadbaa760caedc9433b7cc21474cf7a9ccd6739
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 17:12:37 2015 -0500

    misc: fix various memory leaks

 src/gcal-search-view.c           | 3 +++
 src/gcal-shell-search-provider.c | 1 +
 src/gcal-window.c                | 1 +
 src/gcal-year-view.c             | 8 +++++++-
 4 files changed, 12 insertions(+), 1 deletion(-)

commit 44411f233ac157c1dd79ab58066b7e7d8abc444d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 16:17:17 2015 -0500

    year-view: impl comp added properly
    
    Previously we updated the sidebar completely, removing every children
    and add it again after it. There's no need of it, if we provide a
    sort_func to the ListBox and add only the component received

 src/gcal-year-view.c | 353 +++++++++++++++++++++++++++++++++------------------
 1 file changed, 231 insertions(+), 122 deletions(-)

commit 6ddb9da442762574f07a1982e5108da7ee52472c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 11:19:00 2015 -0500

    month-view: fix range selection
    
    We add one day in order to have the all-day event span the selected
    days. If the range was selected from large day to a shorter one this was
    chopping one day of the range. Adding the extra day after the range has
    been sorted.

 src/gcal-month-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cb0571987a3985e8d935bca85c6ee6ab52923e4e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 11:09:20 2015 -0500

    event-widget: properly handle timezone
    
    For now, we're going to convert every widget time into our timezone
    without question. Further along the way, when we have a more complete
    edit-dialog we can handle this in a less strict manner.

 src/gcal-event-widget.c | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit d447d45f2b6ddc8544dcecc3a110616f8f10306f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 11:08:57 2015 -0500

    style: shorten a bit the size of the headers

 data/theme/gtk-styles.css | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 48f1529e15aea54bbd19af8bdf0956fa0d9b5325
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 11:07:36 2015 -0500

    month-view: draw overflow indicators
    
    This was wrongly removed by me before, I should have changed
    gtk_widget_queue_draw_area() to gtk_widget_queue_draw() instead of
    removing it completely.

 src/gcal-month-view.c | 3 +++
 1 file changed, 3 insertions(+)

commit a4212d16f2200c2332eb6ce299e10cdc54828ec4
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 11:07:12 2015 -0500

    month-view: add widgets margin to its allocation

 src/gcal-month-view.c | 34 ++++++++++++++++++++++------------
 1 file changed, 22 insertions(+), 12 deletions(-)

commit eb8d16bbc7f510f10b47dc75d5b7864116686d8d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 11:04:10 2015 -0500

    event-widget: fix size requisition
    
    Size requisition previously add margin to the size requested. Margin
    should be taken into account outside of the widget. Moving margin to the
    container and use border, which previously was not used.

 data/theme/gtk-styles.css |   7 +---
 src/gcal-event-widget.c   | 102 ++++++++++++++++------------------------------
 2 files changed, 37 insertions(+), 72 deletions(-)

commit 0aa162a9e7340c86ced120c3730ea47774795c46
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 09:44:14 2015 -0500

    window: show every widget by default

 data/ui/window.ui    | 2 +-
 data/ui/year-view.ui | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit ef774ad2c2096019648a263e49b36b7f12cbc88a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 09:20:21 2015 -0500

    window: update subscriptions after active-date
     notification
    
    Some views need to update itself when the dates changes,
    e.g. WeekView. This allows to update the state of the view and be ready
    properly for the components update.

 src/gcal-window.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit bd2b6356b1943bf8a6e1abe1100c04e0d9c9851d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 15 02:16:18 2015 -0500

    app: use gtk_widget_show() instead of show_all()
    
    Remove comment

 src/gcal-application.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 96d986c5dd9c782e08f91b0f3a597fb4d9d10fa2
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sat Feb 14 08:53:56 2015 +0000

    Added Turkish translation

 po/LINGUAS |   1 +
 po/tr.po   | 304 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 305 insertions(+)

commit b94a804d3ae426d4ed4ad444c3718d6c27540025
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Feb 13 13:02:55 2015 -0500

    manager: Enable authentication for eds calendars

 configure.ac       |   1 +
 src/gcal-manager.c | 121 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 122 insertions(+)

commit 6e6643d1def3ba50c4da492d05ddc53c599df3dc
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Feb 13 12:35:00 2015 -0500

    build: bump glib requirements
    
    This is needed for the use of G_DECARE_FINAL_TYPE macros

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cff527f642f8bd2efc7fadd2cea4a02e7c784f47
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Feb 7 23:11:22 2015 -0500

    month-view: fix some of the event-widget tagging

 src/gcal-month-view.c | 31 +++++++++++++++++++++++++------
 1 file changed, 25 insertions(+), 6 deletions(-)

commit 46904450adbf3784d96fba49df032d483d2cf3d1
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Feb 7 22:18:02 2015 -0500

    edit-dialog: use word wrap on the description field

 data/ui/edit-dialog.ui | 1 +
 1 file changed, 1 insertion(+)

commit 6be8b4b5aeacd7f2ba934a9a1aaf7a6eaac23873
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Feb 7 22:14:11 2015 -0500

    app: use source-added signal to load css providers
    
    After the changes of latest EDS is needed to use source-added signal
    again since the some sources might take longer to connect than others.

 src/gcal-application.c | 15 +--------------
 1 file changed, 1 insertion(+), 14 deletions(-)

commit 348be333292c2f629ba1bf0a5231a45c5ab0f9a9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Feb 7 22:13:29 2015 -0500

    app: event-widget CSS code for classes rewritten

 data/theme/gtk-styles.css |   2 +
 src/css-code.h            | 366 ++++++++++++++++++++++++++++++----------------
 src/gcal-application.c    |  36 +----
 3 files changed, 242 insertions(+), 162 deletions(-)

commit 16d77a67182f65dbb52bed9119f04b5635e3c3aa
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Feb 6 15:02:36 2015 -0500

    Revert "event-widget: hardcode padding-top/bottom at 4px"
    
    This reverts commit 554ef1d80bc27cb5ab00415defa196fbbd71dbfd.

 src/gcal-event-widget.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit dccaf54d5e744706c6a142217c77085714a75c82
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 9 20:13:09 2015 +0100

    Updated Spanish translation

 po/es.po | 51 +++++++++++++++++++++++++++------------------------
 1 file changed, 27 insertions(+), 24 deletions(-)

commit 3285d0d43ac873356ee0b076f328cf43355109c5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Feb 9 18:16:33 2015 +0100

    Updated Norwegian bokmål translation from Åka Sikrom.

 po/nb.po | 439 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 274 insertions(+), 165 deletions(-)

commit 18f88489ae0fd6dac4150a4618fe902fc1f99dcb
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Feb 8 23:54:20 2015 +0100

    Updated Czech translation

 po/cs.po | 47 ++++++++++++++++++++++++++---------------------
 1 file changed, 26 insertions(+), 21 deletions(-)

commit 68973c43189aa6ceaf294e464f8ed7a71ee2ed27
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sun Feb 8 00:07:59 2015 +0100

    Add Esperanto translation

 po/LINGUAS |   1 +
 po/eo.po   | 313 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 314 insertions(+)

commit 560fddeebe7e0aa12a278bc7512bb0399b5f58da
Author: Milan Crha <mcrha@redhat.com>
Date:   Fri Feb 6 14:09:08 2015 -0500

    manager: port to latest EDS

 configure.ac       | 6 +++---
 src/gcal-manager.c | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 10429b3f8cfdf25ba0ba9e710c1c2d91e6b7fcc8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Feb 6 09:20:26 2015 -0500

    shell-search: app set initial date to current on its own

 src/gcal-shell-search-provider.c | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit b203f4da53b3925d4ab637b0ee60bd85e138ba65
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Feb 6 09:19:56 2015 -0500

    manager: enable/disable shell-search model

 src/gcal-manager.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 14bdca160506245f2e882fe936ced30445bd4f50
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 22:53:14 2015 -0500

    window: use current_date
    
    Streamline code a bit

 src/gcal-window.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 546b137d249b13c34a1d0c80c1a90e908880f58c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 22:47:46 2015 -0500

    utils: removing unused functions

 src/gcal-application.c |   1 -
 src/gcal-utils.c       | 155 -------------------------------------------------
 src/gcal-utils.h       |  15 -----
 3 files changed, 171 deletions(-)

commit b1df382ee3524014528ef2acf22864a0fcf0ab8b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 22:42:48 2015 -0500

    app: use get_color_name_from_source()

 src/gcal-application.c  |  6 ++----
 src/gcal-edit-dialog.c  | 14 +++-----------
 src/gcal-event-widget.c |  8 ++------
 src/gcal-search-view.c  |  5 +----
 src/gcal-window.c       |  4 +---
 5 files changed, 9 insertions(+), 28 deletions(-)

commit 06768733f7a82c4065d88d88717ad13c2bb831cd
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 18:41:26 2015 -0500

    window: fix calendars popover population
    
    When the application load as a service by the time a user opens a window
    GcalManager:source-added signals has passed and the calendars popover
    does not contains any items. Use GcalManager::load_completed API

 src/gcal-window.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit f0e35881e7004fa509fceef1274eb86954685f63
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 18:40:07 2015 -0500

    manager: add ::source_enabled API

 src/gcal-manager.c | 14 ++++++++++++++
 src/gcal-manager.h |  3 +++
 2 files changed, 17 insertions(+)

commit 837c33399fc787540b24ffb1ab14dec995968f57
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 18:16:09 2015 -0500

    misc: remove comments and debug instructions

 src/gcal-application.c           | 5 +----
 src/gcal-shell-search-provider.c | 4 +---
 2 files changed, 2 insertions(+), 7 deletions(-)

commit cc18c971972c225d7e361b5b865d1cfe5dc06a13
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 18:13:56 2015 -0500

    shell-search: impl launch-search

 src/gcal-shell-search-provider.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit bed360b013a7909b76e0a96afb4f9a10cb06e39f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 18:13:12 2015 -0500

    window: set search terms API

 src/gcal-window.c | 8 ++++++++
 src/gcal-window.h | 2 ++
 2 files changed, 10 insertions(+)

commit e79484f6f4d7aee840bfa3ec9edad01c70b25127
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 17:19:50 2015 -0500

    window: style issue

 src/gcal-window.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 158523bb6b3f887e5d8d2fb78d13cb9492019833
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 17:06:57 2015 -0500

    window: wait for callbacks execution
    
    When the date has been just moved, the ECalDataModel callbacks has not
    had time to execute so the vie wis empty. Schedule a request to allow
    the callbacks execution.

 src/gcal-window.c | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

commit 7d7ded58aad02f1b8771a631a3a6f3d2b38231f6
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 15:57:01 2015 -0500

    shell-search: fix hold/release pair of functions

 src/gcal-shell-search-provider.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 18dfac5e5ad0dbf09c840926c220e5741107a175
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 15:56:36 2015 -0500

    shell-search: fix valgrind shown leaks

 src/gcal-shell-search-provider.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 16f6d28ac6cc977f9a32b0c71172b72cb9afbe42
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 14:24:23 2015 -0500

    shell-search: impl activate result

 src/gcal-shell-search-provider.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 023dbb06320868c8b662bfa7d31814b68cfa7828
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 14:23:05 2015 -0500

    manager: obtain event data from its uuid
    
    This is only enable on the shell search provider model for now. If it
    proves useful we can extend it to some other place

 src/gcal-manager.c | 38 ++++++++++++++++++++++++++++++++++++++
 src/gcal-manager.h |  3 +++
 2 files changed, 41 insertions(+)

commit c96b9f05e43bf8c5effd86c6fa57a38640abade9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 14:22:15 2015 -0500

    window: add func to show an event from its uuid

 src/gcal-window.c | 19 +++++++++++++++++++
 src/gcal-window.h | 11 +++++------
 2 files changed, 24 insertions(+), 6 deletions(-)

commit f4799552aa92603fac124d6cea3c27f470628db8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 14:20:55 2015 -0500

    app: set initial on GcalWindow always
    
    Add function to allow the search provider to set the value.

 src/gcal-application.c | 13 +++++++++++++
 src/gcal-application.h |  2 ++
 2 files changed, 15 insertions(+)

commit 4f689b22e642ced22798924de1cce47f8fe369e2
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 14:20:00 2015 -0500

    app: read uuid from cli option
    
    Use also a function to set the value of the event's uuid to show.

 src/gcal-application.c | 30 +++++++++++++++++++++++++++++-
 src/gcal-application.h |  5 ++---
 2 files changed, 31 insertions(+), 4 deletions(-)

commit 0655c34462862e3e25f81e34196b1049a933826c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Feb 5 11:55:44 2015 -0500

    shell-search: improve async query preparation

 src/gcal-shell-search-provider.c | 162 ++++++++++++++++++++++-----------------
 1 file changed, 91 insertions(+), 71 deletions(-)

commit 46c9742a90643c46756100e1408c80207eac8887
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Feb 4 12:57:51 2015 -0500

    app: properly ordered shell search initialization and setup

 src/gcal-application.c | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit f3e97aa3bd155ee7f0d0e579bafad697c01dd421
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Feb 4 12:55:44 2015 -0500

    shell-search: initial impl of get_search_result and get_result_metas
    
    This code is missing the handling of :activate-result and :launch-search
    We are not ranking and sorting the results yet, that need a bit more of tinkering

 src/gcal-shell-search-provider.c | 304 ++++++++++++++++++++++++++++++++-------
 src/gcal-shell-search-provider.h |   4 +
 2 files changed, 259 insertions(+), 49 deletions(-)

commit 25fd4ab5a936bae394c52acf60d6d95d2ea0380b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Feb 4 12:52:18 2015 -0500

    manager: add shell search provider helpers
    
    Added:
    + :query-completed signal. This would allow to know when the search has
    completed and the shell search provider will be able to sort and rank
    the results
    
    Added API to:
    + set the query for the shell provider model
    + set the subscription of the view on the shell provider model
    + know when the querying of the views completed on the model and all the
    events are available for retrieving

 src/gcal-manager.c | 123 ++++++++++++++++++++++++++++++++++++++++++++++++-----
 src/gcal-manager.h |  15 ++++++-
 2 files changed, 125 insertions(+), 13 deletions(-)

commit b3a374dbe9dca57e6ed5938130ef0ed6bff868df
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Feb 4 12:50:57 2015 -0500

    app: use GcalManager:load-completed signal
    
    Use this signal to load the CSS code for the widgets just one time
    instead of recreating the complete CSS code once for each source connected

 src/gcal-application.c | 137 +++++++++++++++++++++++++++----------------------
 1 file changed, 75 insertions(+), 62 deletions(-)

commit 4527ddfa6463ea61d06a2d9c830379658b1f3463
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Feb 4 12:49:42 2015 -0500

    manager: added load_completed public API
    
    The idea is to be able to retrieve the status as well listen to the
    signal when needed.

 src/gcal-manager.c | 6 ++++++
 src/gcal-manager.h | 2 ++
 2 files changed, 8 insertions(+)

commit 820d1cdb651dd701c7e2fffd6e3646f0177a58de
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Feb 4 12:46:48 2015 -0500

    utils: API added
    
    + get_color_name_from_source
    + get_circle_pixbuf_from_color
    
    The first one is use plenty in the codebase, everytime we need a color,
    and the second one will be used when retrieving the search results.

 src/gcal-utils.c | 34 ++++++++++++++++++++++++++++++++++
 src/gcal-utils.h |  5 +++++
 2 files changed, 39 insertions(+)

commit e942f6c885b0c3fec73a121c5f3aacac1b4012ed
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Feb 4 12:46:21 2015 -0500

    e-cal-data-model: code updated from Evolution

 src/e-cal-data-model.c | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 8f7d9313408c37a26c6b255cfa35894087bc0cc1
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 1 16:39:43 2015 -0500

    manager: add :load-completed signal
    
    :load-completed signals the end of the opening of the sources initially
    read from ESourceRegistry.

 src/gcal-manager.c | 27 ++++++++++++++++++++++-----
 src/gcal-manager.h |  1 +
 2 files changed, 23 insertions(+), 5 deletions(-)

commit 1dd50951f6e0d487ec5b160c11d952ec1d4207fc
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Feb 1 10:08:41 2015 -0500

    app: add shell provider implementation skeleton

 .gitignore                                     |   2 +
 data/Makefile.am                               |   1 +
 data/shell-search-provider-dbus-interfaces.xml |  44 ++++++
 src/Makefile.am                                |  14 ++
 src/gcal-application.c                         | 149 +++++++++++++++-----
 src/gcal-manager.c                             |  35 +++++
 src/gcal-manager.h                             |   5 +
 src/gcal-shell-search-provider.c               | 185 +++++++++++++++++++++++++
 src/gcal-shell-search-provider.h               |  47 +++++++
 9 files changed, 445 insertions(+), 37 deletions(-)

commit e23436248caefd69829507759f60564cbbea4cbc
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Jan 30 15:33:02 2015 -0500

    app: add search-provider ini file

 .gitignore                                        |  2 ++
 configure.ac                                      |  1 +
 data/Makefile.am                                  | 10 ++++++++--
 data/org.gnome.Calendar.search-provider.ini.in.in |  7 +++++++
 po/POTFILES.in                                    |  1 +
 po/POTFILES.skip                                  |  1 +
 6 files changed, 20 insertions(+), 2 deletions(-)

commit 9cde853fdd9d8a6e1f28f0d2114c09fb1ce9952f
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Thu Feb 5 23:46:48 2015 +0200

    Added uk translation

 po/LINGUAS |   1 +
 po/uk.po   | 307 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 308 insertions(+)

commit 198b7899fc3ceb838a47918e55347b3bdc6d1309
Author: Benjamin Steinwender <b@stbe.at>
Date:   Thu Feb 5 14:38:09 2015 +0000

    Updated German translation

 po/de.po | 459 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 277 insertions(+), 182 deletions(-)

commit 15065d964fbd45bab7bb9fd65df6c25dd868cb31
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Feb 3 19:58:36 2015 +0100

    Updated Czech translation

 po/cs.po | 15 +++------------
 1 file changed, 3 insertions(+), 12 deletions(-)

commit a5ec02f3ad31512a5524d67343b9f01c0110382d
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Feb 3 19:56:42 2015 +0100

    Updated Czech translation

 po/cs.po | 74 ++++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 46 insertions(+), 28 deletions(-)

commit 9b8e1af60a37af1d81935e746340009b4d010670
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 2 11:54:38 2015 +0100

    Updated Spanish translation

 po/es.po | 81 ++++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 46 insertions(+), 35 deletions(-)

commit b84648930810697bf6b61e941a6d30b5e33cbd77
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Jan 31 18:17:38 2015 +0000

    Updated Slovak translation

 po/sk.po | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit fc832d24fc4f4abcb78be97dfd7b30c6f0d21daa
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Jan 31 17:53:45 2015 +0000

    Updated Slovak translation

 po/sk.po | 57 ++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 32 insertions(+), 25 deletions(-)

commit 782c20924689ab50f833e092ae60df78971a36db
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Jan 30 12:58:12 2015 -0500

    HACKING: updated
    
    The main reason to change the ordering of the functions is to avoid the
    need of explicit prototypes at the top of the files

 HACKING | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit d5fe2d8cb6d0b8f123518dd660bcf339c976092b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Jan 30 12:41:17 2015 -0500

    month-view: remove unneeded state flag
    
    ::start_mark_cell flags has the same function of ::clicked_cell and some
    more, so ::clicked_cell plays no role.

 src/gcal-month-view.c | 28 ++++++++--------------------
 1 file changed, 8 insertions(+), 20 deletions(-)

commit 4a29759b40371df9aaf480961c5849afc5c798fc
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Jan 30 12:40:51 2015 -0500

    build: show srcdir after configure has finished

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit d32b9435f22fdafe451b26c0d165a94d5060dcd6
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Jan 30 12:40:22 2015 -0500

    year-view: wrap add_class in save/restore block

 src/gcal-year-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 60557b3bdd1e30de8be8e9e80c32a32557f2e83c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Jan 30 12:08:11 2015 -0500

    doap: updated

 gnome-calendar.doap | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 9494326e8213ce3ddea5a7131e7f0b101fe62b5b
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Jan 29 21:32:23 2015 +0000

    Updated Russian translation

 po/ru.po | 396 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 211 insertions(+), 185 deletions(-)

commit effce4d1271cd9a265dee28389dc0e61eefc4848
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 29 11:22:28 2015 -0500

    month-view: avoid sigsegv at hidden event removal
    
    The code was carrying some old behaviour from the days we did not
    show hidden events.

 src/gcal-subscriber-view.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 94a6e8bf7ed159bf3d1ecdbc754e67c4f3ffaf67
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 29 10:54:27 2015 -0500

    month-view: restore ::days_delay calculation.
    
    This was wrongly lost on commit fa2f300362693392ecd1ca150e86d6895351ee5c

 src/gcal-month-view.c | 1 +
 1 file changed, 1 insertion(+)

commit b08defc0e55a7dd8ab1e11d669df862e6790d5e0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 29 10:47:41 2015 -0500

    app: keep a pointer to private instance data
    
    This seems faster to me

 src/gcal-application.c | 55 ++++++++++++++++----------------------------------
 src/gcal-application.h |  4 ++++
 2 files changed, 21 insertions(+), 38 deletions(-)

commit 79ea0817b00372893f8990bfbf90756ca257e5ad
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 29 09:56:31 2015 -0500

    month-view: fix button release behaviour
    
    When starting from invalid cell button_release vfunc didnt check
    properly the value of the first clicked cell, this led to non-sense
    dates on new-event popover.

 src/gcal-month-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8af1e6c02a47432e29426a11188b347194e927c3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 29 09:20:27 2015 -0500

    window: month view navigation fixed for February
    
    Since February have 28 days sometimes when you add month to January, 29
    icaltime_normalize() takes you to February, 29 which is actually, March, 1.
    The same happens for January 30 and 31.

 src/gcal-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 08b37bf8ea55b173f3aad5cf42af4dab82a550a3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 29 00:01:10 2015 -0500

    views: remove unused code

 src/gcal-month-view.c | 14 --------------
 src/gcal-month-view.h |  1 -
 src/gcal-year-view.c  |  6 ------
 src/gcal-year-view.h  |  1 -
 4 files changed, 22 deletions(-)

commit 88e95081c5ea39a62e4a3c07678ccf72483a6521
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Jan 28 15:54:16 2015 -0500

    month-view: highlight current date properly
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703323

 src/gcal-month-view.c | 15 ++++++++++++++-
 src/gcal-month-view.h |  2 ++
 src/gcal-window.c     |  1 +
 3 files changed, 17 insertions(+), 1 deletion(-)

commit 86d5a23dddabffe86a82432d85ba371fc689cde9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Jan 28 15:18:53 2015 -0500

    app: initial current date marking work

 src/gcal-window.c    | 34 ++++++++++++++++++++++++++--------
 src/gcal-year-view.c | 12 ++----------
 2 files changed, 28 insertions(+), 18 deletions(-)

commit 25545e5bf66da4fef26774d42b4c7d1b6ff500e8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Jan 28 00:16:53 2015 -0500

    month-view: match UI style of year-view popover
    
    year-view: rename popover class to something more generic

 data/theme/gtk-styles.css | 11 ++++++-----
 data/ui/year-view.ui      |  2 +-
 src/gcal-month-view.c     | 24 +++++++++++-------------
 3 files changed, 18 insertions(+), 19 deletions(-)

commit 3f877d3bfae45e79def9578f30e30851d4924276
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 23:10:15 2015 -0500

    misc: be consistent on attributes values

 data/ui/year-view.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0d74fcc87f56ba979a3447cede13958873500540
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 23:09:32 2015 -0500

    year-view: properly update active-date property

 src/gcal-year-view.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c8339d333d3710ee49aac3cd496b6196542602ab
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 23:07:44 2015 -0500

    year-view: fix marking and placing of events

 src/gcal-year-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2465dfca40dc3a5b53d9c0fe41cb235e7250fbae
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 22:52:20 2015 -0500

    window: add month-view and year-view to UI file

 data/ui/window.ui | 28 ++++++++++++++++++++++++++++
 src/gcal-window.c | 39 ++++++++++++---------------------------
 2 files changed, 40 insertions(+), 27 deletions(-)

commit fa2f300362693392ecd1ca150e86d6895351ee5c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 22:37:44 2015 -0500

    app: move view subscription to GcalWindow
    
    Initialize :manager property first and :active-date later. Allocate
    ::active_date instance on instance init vfunc.

 src/gcal-month-view.c |  32 --------------
 src/gcal-month-view.h |   2 -
 src/gcal-window.c     | 120 ++++++++++++++++++++++++++++++++++++++------------
 src/gcal-year-view.c  |  30 +------------
 4 files changed, 93 insertions(+), 91 deletions(-)

commit 6d2dfdf9a11f315570008a86ad41664cdf6d4c82
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 19:10:28 2015 -0500

    app: update date when change in views
    
    year-view: update date on selection

 src/gcal-window.c    | 2 +-
 src/gcal-year-view.c | 6 ++++++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit e67fc01279678338fb354e2041b8a00e5ecc5a4a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 17:49:44 2015 -0500

    app: use "Add Event…" instead of "Add new event…"

 data/ui/menus.ui      | 4 ++--
 data/ui/year-view.ui  | 2 +-
 src/gcal-month-view.c | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 9c33bd0dfce5a27f966037640d3dec5b18c74873
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 17:48:34 2015 -0500

    year-view: use icaltime_compare_date()
    
    Hopefully, this fix once and for all the selection of the range to show
    on the sidebar.

 src/gcal-year-view.c | 34 +++++++++++++++-------------------
 1 file changed, 15 insertions(+), 19 deletions(-)

commit f2d84231a418236d33c30a798949dc5b07e3e68c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 17:42:16 2015 -0500

    utils: added date comparison method
    
    icaltime_compare_date_only() has some problems when one of the dates
    passed are marked as is_date and the other not.

 src/gcal-utils.c | 24 ++++++++++++++++++++++++
 src/gcal-utils.h |  3 +++
 2 files changed, 27 insertions(+)

commit 489100ad9446dfd52bfb83b4f0e3b2ddb4e8223c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 17:25:39 2015 -0500

    year-view: popover eye candy

 data/theme/gtk-styles.css | 19 ++++++++++++++-----
 data/ui/year-view.ui      |  1 -
 2 files changed, 14 insertions(+), 6 deletions(-)

commit 4628799d2e7875fb282172a079564e9959796686
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 13:25:37 2015 -0500

    year-view: include events overlapping the range

 src/gcal-year-view.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 9838f8c64e3e61b2760a8dc01cee5e488a09b3c7
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 12:59:38 2015 -0500

    year-view: end-date passed to edit-dialog

 src/gcal-year-view.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7b6037e707e549ad333db688c795339732ef953e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 27 11:31:05 2015 -0500

    year-view: add no events label to popover mode

 data/theme/gtk-styles.css | 15 ++++++++++-----
 data/ui/year-view.ui      | 37 ++-----------------------------------
 src/gcal-year-view.c      | 32 +++++++++++++-------------------
 3 files changed, 25 insertions(+), 59 deletions(-)

commit 57ebe7aed96d8f9386cfdb64c2abebf71dc26935
Author: Rishabh Raj <rishabhr123@gmail.com>
Date:   Tue Jan 27 10:33:39 2015 -0500

    time-selector: fix handler unblocked

 src/gcal-edit-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 32cc4d1a28146a821659db73a8a4bebfc54d4cc9
Author: Rishabh Raj <rishabhr123@gmail.com>
Date:   Tue Jan 27 10:28:17 2015 -0500

    application: remove bad shortcut for About dialog

 data/ui/menus.ui | 1 -
 1 file changed, 1 deletion(-)

commit 954dd314a2b2b17a66743837343150e17d396e3a
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Jan 26 21:59:58 2015 +0200

    Updated Hebrew Translation

 po/he.po | 201 +++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 152 insertions(+), 49 deletions(-)

commit 2a3b2775d3f91a3898580b1866953c28187175c5
Author: Vadim Rutkovsky <vrutkovs@redhat.com>
Date:   Mon Jan 26 16:10:56 2015 +0100

    build: use srcdir for appdata location
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743540

 data/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb6550d29bdab77af4ad15543f46c589ea6cccc1
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Jan 26 12:30:29 2015 +0000

    Added Slovak translation

 po/LINGUAS |   1 +
 po/sk.po   | 305 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 306 insertions(+)

commit 920f1dd3c1aa846c830f7a20641e57a769f000a9
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jan 26 09:29:40 2015 +0000

    Add some translated keywords to the desktop file

 data/org.gnome.Calendar.desktop.in.in | 1 +
 1 file changed, 1 insertion(+)

commit 032b2fab55c97cabea08fc79ddb2eccc7f77a1c8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 22:05:58 2015 -0500

    year-view: fix range marking for a single day

 src/gcal-year-view.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit ec80a907435003f8ade97341c004d7c0658ddf19
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 22:05:08 2015 -0500

    year-view: iterate properly through listbox children

 src/gcal-year-view.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 7ee9be263c2e102aab5aaaa2120a8e5a725ea5b2
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 22:04:36 2015 -0500

    year-view: show no events label when needed

 data/ui/year-view.ui |  2 +-
 src/gcal-year-view.c | 28 +++++++++++++++++++++++++---
 2 files changed, 26 insertions(+), 4 deletions(-)

commit 14f9310452ad9ab5cdf272e21a817e1e7bb23266
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Jan 23 18:07:21 2015 +0100

    Added Basque language\nAdded 'eu' (Basque) to LINGUAS

 po/LINGUAS |   1 +
 po/eu.po   | 295 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 296 insertions(+)

commit 3479ae18a0fefa534375cb9900987c1e5a6dfff2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jan 23 11:43:07 2015 +0100

    Updated Spanish translation

 po/es.po | 144 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 67 insertions(+), 77 deletions(-)

commit 5c5d5f62f8cef4f04525753ae72ab442cda7949c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 15:55:15 2015 -0500

    month-view: fixed draw clip bug
    
    Updated Gtk+ version requirement to 3.15.4 where the bug is fixed.

 configure.ac          | 2 +-
 src/gcal-month-view.c | 4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 139f96e8bf8905694d452f326d8a178d9d836fba
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 15:36:06 2015 -0500

    month-view: remove comments reminders
    
    These issues were fixed, so the reminders have to go

 src/gcal-month-view.c | 3 ---
 1 file changed, 3 deletions(-)

commit f06586df893d8b18543751dfbd0a895c302a950f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 14:26:28 2015 -0500

    month-view: mark event-widgets edges

 src/gcal-month-view.c | 42 ++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 40 insertions(+), 2 deletions(-)

commit bb41d9dc76c711fef3e449e990e1bb549bedd8f4
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 14:02:06 2015 -0500

    year-view: fix all-day events
    
    icaltime_compare() keeps doing its own work as it see fits

 src/gcal-year-view.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5071b94b142b5c27a111dbe4477a918a8eebaec4
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 13:47:25 2015 -0500

    application: use events edges styles

 data/theme/gtk-styles.css | 22 +---------------------
 src/gcal-application.c    | 41 +++++++++++++++++++++++++++++++++++++++--
 2 files changed, 40 insertions(+), 23 deletions(-)

commit a704b244b93bbeb3715ae65640b1dec11f741dbf
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 13:46:54 2015 -0500

    css-code: added harcoded styles of widgets

 src/Makefile.am |   1 +
 src/css-code.h  | 151 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 152 insertions(+)

commit 5aace8e060fa3a40968eba0960e335f181567ede
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 13:44:25 2015 -0500

    year-view: add class tagging to events
    
    We add three classes:
    + slanted-start
    + slanted-end
    + slanted
    
    Those mean an event who does not start on the first cell is drawn, and event
    who does not end on the last cell its drawn and bot things at the same time.

 src/gcal-year-view.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 554ef1d80bc27cb5ab00415defa196fbbd71dbfd
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 13:31:08 2015 -0500

    event-widget: hardcode padding-top/bottom at 4px
    
    This is necessary in order to properly style slanted edges on widgets
    who need it on both start and end.

 src/gcal-event-widget.c | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 50702a9f532c72fc3621b9359833f4c2af798f72
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 22 10:14:58 2015 -0500

    dist: install settings schemas
    
    This was wrongly removed on commit: 70b0988a
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=743344

 data/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit e009a67e30ffcaf6dbebf524d00b5cba8bdf26ab
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Jan 22 09:53:19 2015 -0200

    utils: better search for the first week day
    
    We were relying on _NL_TIME_FIRST_WEEKDAY, which is a glibc extension.
    
    It doesn't work with non-glibc systems, such as FreeBSD.
    
    This commit makes it carefully search for the first weekday. Fixes bug #743327.

 src/gcal-utils.c | 52 ++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 48 insertions(+), 4 deletions(-)

commit 6635f314226b85cb574f352264502f65b6f2d2ec
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Jan 21 09:29:49 2015 -0500

    HACKING: updated with contributing guidelines

 HACKING | 8 ++++++++
 1 file changed, 8 insertions(+)

commit bdda641b98e81e46ecad07d7a0d0ffca15adcb56
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 22:37:16 2015 -0500

    Bump version to 3.15.4.1 for release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70b0988a8cf5e4f08bcf8b99e276452a27765854
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 23:12:58 2015 -0500

    dist: fix appdata for the second time
    
    ... and I'm not even sure this is the right way

 Makefile.am      |  1 +
 data/Makefile.am | 12 ++++++------
 2 files changed, 7 insertions(+), 6 deletions(-)

commit cf0ae10d2d3ccebbad1d00b4c4562bd37768702b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 22:36:51 2015 -0500

    NEWS: updated for release

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit ea4fdbc05b67707a3e6f61e05d854d79152e60f6
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 21 10:19:29 2015 -0200

    build: don't try to generate a Makefile from a non-existant Makefile.am

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit a2141bb7b848337d870a14d95e4061da7c09d286
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Jan 21 07:38:45 2015 +0100

    Updated Czech translation

 po/cs.po | 112 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 47 insertions(+), 65 deletions(-)

commit edb8f41902774d40541df6efc83ed51fa078281b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 18:24:43 2015 -0500

    Bump version to 3.15.4 for release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af39760af9886c1242f4096298826ba9d190d33d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 18:23:01 2015 -0500

    dist: fix appdata

 data/Makefile.am                               | 11 +++++++++--
 data/appdata/Makefile.am                       |  8 --------
 data/appdata/org.gnome.Calendar.appdata.xml.in | 13 ++++---------
 3 files changed, 13 insertions(+), 19 deletions(-)

commit a8955715eb174ddb086560212e204e35cc950875
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 17:21:22 2015 -0500

    NEWS: updated for release

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 92ea54ac7b4209a93278454df58fbc05fe0101d8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 17:15:17 2015 -0500

    year-view: fix bug when ListBoxRow child is NULL

 src/gcal-year-view.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4247018bde89e350f05c80f98d1f594dbe4add81
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 17:06:22 2015 -0500

    year-view: initial UI for no events days

 data/theme/gtk-styles.css | 18 +++++++++++++++
 data/ui/year-view.ui      | 59 +++++++++++++++++++++++++++++++++++++++++++----
 src/gcal-year-view.c      | 16 +++++++++++++
 3 files changed, 89 insertions(+), 4 deletions(-)

commit 9b222e8d5f22511ffccbf30f01e91e870080ef34
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 17:04:16 2015 -0500

    year-view: fix 31 of december and query range
    
    icaltime_compare_date_only doesn't work as I expected. So moving back to
    icaltime_compare along and fixing condition to include not all-day events

 src/gcal-year-view.c | 32 +++++++++++++++++++++-----------
 1 file changed, 21 insertions(+), 11 deletions(-)

commit 2ff6bb460edaba69fb7e9834f122f4c9b8e5935e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 15:02:29 2015 -0500

    gcal-view: remove unused funcs

 src/gcal-month-view.c | 24 -----------------------
 src/gcal-view.c       | 36 ----------------------------------
 src/gcal-view.h       |  8 --------
 src/gcal-week-view.c  | 53 ---------------------------------------------------
 src/gcal-year-view.c  | 16 ----------------
 5 files changed, 137 deletions(-)

commit 648ae1816224ce313f3af695ff9c9db1cd7910b6
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 14:48:46 2015 -0500

    window: use GcalView::get_children_by_uuid

 src/gcal-subscriber-view.c | 13 +++++++++++++
 src/gcal-window.c          | 13 ++++++++-----
 2 files changed, 21 insertions(+), 5 deletions(-)

commit b03a906eee78f4fa3ca8e12f86e73b2e46eae779
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 14:48:27 2015 -0500

    month-view: impl GcalView::get_children_by_uuid

 src/gcal-month-view.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 3ac46c9a3ca2221d1d94ed14d74e415d6b8bad14
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 13:55:23 2015 -0500

    misc: comments and whitespace fixes

 src/gcal-application.c             | 1 +
 src/gcal-subscriber-view-private.h | 3 ++-
 src/gcal-subscriber-view.c         | 2 +-
 3 files changed, 4 insertions(+), 2 deletions(-)

commit d76ba04d921748f8298d0a51af654bd955fdaaf7
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 13:46:22 2015 -0500

    year-view: prevent segfault when there's no child

 src/gcal-year-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9ca220457ba5c62760c4acc88ac7cfd85e47efe
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 13:44:59 2015 -0500

    build: remove nav-bar unused files

 data/Makefile.am            |   1 -
 data/calendar.gresource.xml |   1 -
 data/ui/nav_bar.ui          |  40 -----------
 src/Makefile.am             |   2 -
 src/gcal-nav-bar.c          | 164 --------------------------------------------
 src/gcal-nav-bar.h          |  53 --------------
 src/gcal-window.c           |   1 -
 7 files changed, 262 deletions(-)

commit 699bb4736317f223a277b42b432607c004be34f1
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 13:38:49 2015 -0500

    window: remove unneeded GcalNavBar
    
    Previously GcalNavBar sported navigation buttons (which are gone) and
    the labels. The labels alone are easily drawn inside the views, and we
    could use the space more wisely.

 data/ui/window.ui | 11 -----------
 src/gcal-window.c | 45 +--------------------------------------------
 2 files changed, 1 insertion(+), 55 deletions(-)

commit bdacaeaa599a716a1e0a14b15e652d7c4a6c8aa6
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 13:19:37 2015 -0500

    month-view: add view headers of its own

 data/theme/gtk-styles.css |  1 +
 src/gcal-month-view.c     | 87 ++++++++++++++++++++++++++++++++---------------
 2 files changed, 61 insertions(+), 27 deletions(-)

commit 93fa37ce1127cda309f9468657b2623b9ef91ffe
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jan 20 19:22:35 2015 +0100

    Replace three dots with a proper ellipsis

 src/gcal-month-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ef8bcf0f6d0037a445ea3633e991941fe08cf439
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jan 20 19:21:02 2015 +0100

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 18ee4de144f797dfb55b07de1c4e064dfa6f6b12
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 01:11:40 2015 -0500

    year-view: impl GcalView::get_children_by_uuid

 src/gcal-year-view.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 03b108ff71143f55f6dc913286a71cd821fd1c6f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 01:09:57 2015 -0500

    GcalView: add get_children by uuid method
    
    After adding it and removing it, and adding it again. I think this time
    is for good. We're keeping GcalView interface as parent of every view
    shown in the application.

 src/gcal-view.c | 19 +++++++++++++++++++
 src/gcal-view.h |  5 +++++
 2 files changed, 24 insertions(+)

commit 0f13cb4a11110152b3245ed743fd1a5250fff9a5
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 01:08:55 2015 -0500

    month-view: optimize days_delay update
    
    No need of memory allocation and releasing which is costly.

 src/gcal-month-view.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 2bd81dc2eec68400a378712331f0ad9b64e69612
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 01:07:15 2015 -0500

    window: disable week-view as it is unfinished
    
    After the release we will restart the work on it

 src/gcal-window.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit c62d808a35f9d9b8f51ed8b8e6f7a3d1d17e6b0f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 00:34:22 2015 -0500

    year-view: fix subscriber callback
    
    GcalYearView::start_selected_date will always be started into something
    and comparing against zero no matters what returns will enter in one of
    the two categories
    Still before 3.16, this code should change.

 src/gcal-year-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ffc7a7f5770abb0931c201235c4e3438e1f1bc5d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 00:28:00 2015 -0500

    year-view: update sidebar on year changing

 src/gcal-year-view.c | 25 +++++++++++++++----------
 1 file changed, 15 insertions(+), 10 deletions(-)

commit 85d7461cfff4f923e0a450662eb9fdc3654f6062
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Jan 20 00:20:45 2015 -0500

    year-view: added popover mode

 data/theme/gtk-styles.css | 14 ++++++++-
 data/ui/year-view.ui      | 49 +++++++++++++++++++++++++++--
 src/gcal-year-view.c      | 78 +++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 135 insertions(+), 6 deletions(-)

commit 70f788ad25acf66474241e95719027d6ff31a219
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 22:18:16 2015 -0500

    year-view: comment for post-release fixes

 src/gcal-year-view.c | 5 +++++
 1 file changed, 5 insertions(+)

commit e1ba556f2ea9417f26f8df7d71362636139ae136
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 22:17:19 2015 -0500

    year-view: connect current_date to window
    
    Update sidebar whenever the current_date is updated.
    This current_date mechanism is going to be moved completely into GcalWindow.

 src/gcal-window.c    |  3 +++
 src/gcal-year-view.c | 22 +++++++++++++++-------
 src/gcal-year-view.h |  2 ++
 3 files changed, 20 insertions(+), 7 deletions(-)

commit 12708485db0eee056ce89c1a3e39934b955ebcf8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 21:57:07 2015 -0500

    year-view: updated UI

 data/theme/gtk-styles.css |  2 --
 data/ui/year-view.ui      | 26 +++++++++++++++++---------
 2 files changed, 17 insertions(+), 11 deletions(-)

commit caaf492a3d8c125164732eedff78dc2acc9d5820
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 21:56:33 2015 -0500

    year-view: add manager subscription process

 src/gcal-year-view.c | 120 ++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 104 insertions(+), 16 deletions(-)

commit 0dd6458ae8dc068628b4ed27f5b986e54556733f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 15:34:45 2015 -0500

    event-widget: fix compare function

 src/gcal-event-widget.c | 50 +++++++++++++++++++++++++++++++++----------------
 1 file changed, 34 insertions(+), 16 deletions(-)

commit f7beeadbb22fe06b7b152dc05e6752fec2c78a4d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 15:34:25 2015 -0500

    year-view: adding second header to sidebar

 data/theme/gtk-styles.css | 10 +++++-----
 src/gcal-year-view.c      | 46 ++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 47 insertions(+), 9 deletions(-)

commit fb3cc4caafe13f87cf4df55aef871d37b3a51351
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 13:52:35 2015 -0500

    year-view: added update_sidebar and widget marking

 data/theme/gtk-styles.css |  25 +++++++++
 src/gcal-year-view.c      | 133 ++++++++++++++++++++++++++++++++++------------
 2 files changed, 125 insertions(+), 33 deletions(-)

commit 338f4c039fb8233cdfb41698389937dd81f09e88
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 01:42:54 2015 -0500

    year-view: initial sidebar impl

 data/theme/gtk-styles.css |  16 ++++
 data/ui/year-view.ui      |   3 +-
 src/gcal-year-view.c      | 208 +++++++++++++++++++++++++++++++++++++++-------
 src/gcal-year-view.h      |   4 +
 4 files changed, 201 insertions(+), 30 deletions(-)

commit 01f527676426e649da9bca30510ee6f198a8b26b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 01:42:19 2015 -0500

    manager: retrieve events on a range

 src/gcal-manager.c | 44 ++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-manager.h |  4 ++++
 2 files changed, 48 insertions(+)

commit d53a3570bfa01cd43c31f620c3c8b7ebf4e91ef0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 19 01:39:44 2015 -0500

    event-widget: added compare function
    
    This compare function is made to sort using the same two methods used
    before but together, giving priority to the longer events.
    The idea is sort event properly on year-view's sidebar.
    This function will probably change later.

 src/gcal-event-widget.c | 39 +++++++++++++++++++++++++++++++++++++++
 src/gcal-event-widget.h |  3 +++
 2 files changed, 42 insertions(+)

commit 0770a12ea92c215bf015fa25d254fb3436b93d5b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Jan 18 23:34:06 2015 -0500

    year-view: add event handling to navigator

 data/theme/gtk-styles.css |   6 +-
 data/ui/year-view.ui      |   5 +-
 src/gcal-year-view.c      | 299 +++++++++++++++++++++++++++++++++++++++-------
 3 files changed, 268 insertions(+), 42 deletions(-)

commit e49418a26d392463afa131f9dcef78d9a93bfdb2
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Jan 18 17:43:09 2015 -0500

    year-view: add navigator drawing

 data/theme/gtk-styles.css |  51 ++++++
 data/ui/year-view.ui      |  13 +-
 src/gcal-window.c         |   2 +
 src/gcal-year-view.c      | 397 ++++++++++++++++++++++++++++++++++++++++++++--
 src/gcal-year-view.h      |  13 +-
 5 files changed, 455 insertions(+), 21 deletions(-)

commit 19c8ae9d0ecc8958a8fdb0340c2078712b23fd40
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 15 01:43:38 2015 -0500

    year-view: provide GcalView implementation

 src/gcal-year-view.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 0b2367200b34f4cf7c1a487f893a015437b8ed06
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 15 01:43:05 2015 -0500

    copyright: update year

 src/gcal-application.c   | 2 +-
 src/gcal-application.h   | 2 +-
 src/gcal-date-selector.h | 2 +-
 src/gcal-edit-dialog.c   | 2 +-
 src/gcal-edit-dialog.h   | 2 +-
 src/gcal-event-widget.c  | 2 +-
 src/gcal-event-widget.h  | 2 +-
 src/gcal-manager.c       | 2 +-
 src/gcal-manager.h       | 2 +-
 src/gcal-month-view.c    | 2 +-
 src/gcal-time-selector.c | 2 +-
 src/gcal-time-selector.h | 2 +-
 src/gcal-utils.h         | 2 +-
 src/gcal-view.c          | 2 +-
 src/gcal-week-view.c     | 2 +-
 src/gcal-window.c        | 2 +-
 src/gcal-window.h        | 2 +-
 src/main.c               | 2 +-
 18 files changed, 18 insertions(+), 18 deletions(-)

commit d15c4a5c1b519a55920bab17cfd36d047832ccca
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 15 01:36:17 2015 -0500

    view iface: remove manager property
    
    There's no reason at all why manager should be a property inside the
    views. It won't benefit of bindings or anything else inherent to GObject
    property system.

 src/gcal-month-view.c | 21 +++++++++++----------
 src/gcal-month-view.h | 15 +++++++--------
 src/gcal-view.c       |  8 --------
 src/gcal-week-view.c  | 24 ++++++++++++------------
 src/gcal-week-view.h  | 15 +++++++--------
 src/gcal-window.c     | 23 +++++++++--------------
 6 files changed, 46 insertions(+), 60 deletions(-)

commit 24b8c553dcd4a1802b583e67f80859daca289ad0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 15 00:45:54 2015 -0500

    year-view: initial commit
    
    Dropped almost everything. Started using an ui file and using a GtkBox
    as a parent.

 data/Makefile.am            |    1 +
 data/calendar.gresource.xml |    1 +
 data/ui/year-view.ui        |   41 ++
 src/gcal-window.c           |    8 +-
 src/gcal-year-view.c        | 1009 +++++--------------------------------------
 src/gcal-year-view.h        |   50 ++-
 6 files changed, 181 insertions(+), 929 deletions(-)

commit 5757b1193941ba8c943c2b84ef636d62dcc6a5fb
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jan 18 23:27:34 2015 +0100

    Updated Czech translation

 po/cs.po | 144 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 101 insertions(+), 43 deletions(-)

commit 9cc0dda7d48d8ab886ae2e7cafce473ed18ba302
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 14 15:00:38 2015 -0200

    window: change the transition to crossfade
    
    There is no linear relation of day, month and year views.
    
    As such, it is better to not try to suggest it.

 data/ui/window.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17e5327cf467b0320b3836ecbb12e54a835b1c49
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 13 17:10:39 2015 -0200

    manager: prevent a segfault when opening edit dialog with no sources connected

 src/gcal-manager.c | 3 +++
 1 file changed, 3 insertions(+)

commit 54232803983df09df0f0db2487b9ea8f56ea981f
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 13 17:02:07 2015 -0200

    edit-dialog: use UI file to connect signals
    
    Fixes bug #739313.

 data/ui/edit-dialog.ui | 10 +++++++++
 src/gcal-edit-dialog.c | 59 ++++++++------------------------------------------
 2 files changed, 19 insertions(+), 50 deletions(-)

commit c799acf4821c81de88498055164aabc701f69656
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 13 16:18:40 2015 -0200

    edit-dialog: calculate all_day before using it to set the dates
    
    It was using the all_day var before actually using it.
    
    This caused an issue where the start time showed as the current time.

 src/gcal-edit-dialog.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit b1daf9eeb42257c3067420f1c7c3c4b21199bbd0
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 13 13:29:17 2015 -0200

    edit-dialog: remove unused field
    
    The old times when calendar used GtkTreeIter has passed, and it no longer needs the active iter field.

 src/gcal-edit-dialog.c | 8 --------
 1 file changed, 8 deletions(-)

commit 3cf37cc3d21e97182fe568bef26de0613bbac301
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 13 13:25:11 2015 -0200

    window: remove unused prototype
    
    The code was implemented at gcal-utils, so no need to have it here.

 src/gcal-window.c | 2 --
 1 file changed, 2 deletions(-)

commit 6de2bdd2922682b2d72a45e533dd1ed0bfcb4011
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 13 13:23:42 2015 -0200

    edit-dialog: fix missing icons from source selection menu

 data/ui/edit-dialog.ui |  5 ++++-
 src/gcal-edit-dialog.c | 13 +++++++++----
 2 files changed, 13 insertions(+), 5 deletions(-)

commit 6094cb7b695fe2a12f44b0be87e5a63ba279de09
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 13 13:23:10 2015 -0200

    window: fix missing icons from calendar management menu

 data/ui/window.ui |  4 ++++
 src/gcal-window.c | 11 +++++++++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit b44f14bdf263d027a09fc412099927e77e6da343
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 13 13:21:48 2015 -0200

    utils: added code to show the GtkPopover menu's icons
    
    This will be useful for the next commits, which will introduce a fix for the hidden icons at calendar menus.

 src/gcal-utils.c | 78 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-utils.h |  2 ++
 2 files changed, 80 insertions(+)

commit 249b7e449192cd79be8e6e7d01e753319a3ea96c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 12 19:15:46 2015 +0100

    Updated Spanish translation

 po/es.po | 454 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 277 insertions(+), 177 deletions(-)

commit 89c64bef7d89346c3ed1e61e4e346c8eb8bf3b32
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon Jan 12 15:16:21 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 150 +++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 104 insertions(+), 46 deletions(-)

commit fd5bbda184a40e1d395818b51491fa4f3dbe56a3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jan 11 15:09:29 2015 +0100

    Updated Polish translation

 po/pl.po | 130 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 90 insertions(+), 40 deletions(-)

commit 7f95a80bce7f8e3486cc58b8cd12b8e01f295a3e
Author: Miguel Vaello <miguel.vaellomartinez@gmail.com>
Date:   Fri Jan 9 23:46:27 2015 +0100

    window: Setting window minimum height size
    
    Sets a minimum height size to the main window,
    allowing always show whole calendar sheet.
    
    This patch sets the "height_request" property directly into
    data/ui/window.ui file avoiding the hard coded solution.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742373

 data/ui/window.ui | 1 +
 1 file changed, 1 insertion(+)

commit eee9d11633cc0586cde706efe959e96ebb531d34
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Jan 9 14:58:02 2015 -0500

    window: move search-view into ui file
    
    This new impl of search-view will allow a lot of cleaning on GcalWindow impl

 data/ui/window.ui |  6 ++++++
 src/gcal-window.c | 57 ++++++++++++++-----------------------------------------
 2 files changed, 20 insertions(+), 43 deletions(-)

commit ea21ffdd70e5de44a4f4413c85f3927752ee1231
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Jan 9 13:37:08 2015 -0500

    search-view: internal manager is not a property
    
    The idea here it to include SearchView as a widget in GcalWindow
    Builder UI file.

 src/gcal-search-view.c | 43 +++++++++++++++++++++----------------------
 src/gcal-search-view.h |  4 +++-
 src/gcal-window.c      |  3 ++-
 3 files changed, 26 insertions(+), 24 deletions(-)

commit e832fb76c5820913fc9ea391acd0ffd17aeced6b
Author: Igor Gnatenko <ignatenko@src.gnome.org>
Date:   Fri Jan 9 21:05:52 2015 +0300

    appdata: update screenshot after rewriting search-view
    
    also change permissions for screenshots to 0644
    
    Signed-off-by: Igor Gnatenko <ignatenko@src.gnome.org>

 data/appdata/calendar-management.png | Bin
 data/appdata/default.png             | Bin
 data/appdata/search.png              | Bin 70588 -> 51178 bytes
 3 files changed, 0 insertions(+), 0 deletions(-)

commit 40ff9692adcc3511c5963c6eb9e8ac39d2071959
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Jan 9 16:45:46 2015 +0100

    Updated POTFILES.in

 po/POTFILES.in | 2 ++
 1 file changed, 2 insertions(+)

commit 7f8e8eaa1f68ad8f3a3234d9c22f13f03c435ea8
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Jan 9 12:53:42 2015 -0200

    window: show search view when animation finish, hide when animation starts
    
    This prevents a warning, and makes the behavior a little bit more polished.

 src/gcal-window.c | 22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

commit ee09608a581c5f2b9f9ecec928a6c9c57dba94d9
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Jan 9 12:40:16 2015 -0200

    search-view: remove non-working connection
    
    All the source update stuff is done internally by ECalDataModel, and we don't need to do it again.

 src/gcal-search-view.c | 32 --------------------------------
 1 file changed, 32 deletions(-)

commit 79f400027117d939a1e9c93730d0335482dc9d79
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Jan 9 09:22:03 2015 -0500

    year-view: fix reminders of the merge

 src/gcal-year-view.c | 56 ----------------------------------------------------
 1 file changed, 56 deletions(-)

commit 029e34a205a76f054675626ce4abfbf86d200983
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 8 22:44:34 2015 -0500

    year-view: remove debug statement

 src/gcal-year-view.c | 4 ----
 1 file changed, 4 deletions(-)

commit 372c6fba3d984248650fd58cab2e0e878d424625
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 8 22:42:23 2015 -0500

    search-view: fix memory leak
    
    Use internal icaltimetype from ECalComponentDateTime. Mark
    GcalSearchView::event-activated signal parameter as constant.

 src/gcal-search-view.c | 5 +----
 src/gcal-search-view.h | 2 +-
 2 files changed, 2 insertions(+), 5 deletions(-)

commit 4832f5e79ef379e775ab97dfa858304be81788ec
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 8 22:35:47 2015 -0500

    providers: remove from screen on app::finalize
    
    This fixes the quirks of decreasing the refcount after attaching the
    providers to the default screen.

 src/gcal-application.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit bc17a9b38b4b3faea8ab48e6b8aa6995e4605ae2
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Jan 8 17:15:53 2015 -0200

    search-view: right-align icons

 src/gcal-search-view.c | 1 +
 1 file changed, 1 insertion(+)

commit 54aa3933fc639ab922ab11c75737238cb91fde0d
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Jan 8 16:42:41 2015 -0200

    search-view: show icons for event attributes
    
    For now, only the alarm and lock icons are showed.

 src/gcal-search-view.c | 31 +++++++++++++++++++++++++++----
 1 file changed, 27 insertions(+), 4 deletions(-)

commit 3ed508b8c0966eeccd5ce23b541d9c901b3514c9
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Jan 8 13:11:38 2015 -0200

    search-view: order by date, instead of name

 src/gcal-search-view.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 352ebd40c36126ea3d91d24dc669ad2abc17f232
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Jan 8 12:50:05 2015 -0200

    window: code cleanup
    
    Removes an unused function and an unused variable.

 src/gcal-window.c | 23 -----------------------
 1 file changed, 23 deletions(-)

commit 0b4efe3bedfdad3ddc45eff5beba5fc475d89137
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Jan 8 12:40:43 2015 -0200

    window: don't change the header title when changed
    
    As strongly recommended by the design team, it's redundant to have the 'Results for 'xyz'' title.

 src/gcal-window.c | 21 +--------------------
 1 file changed, 1 insertion(+), 20 deletions(-)

commit d65f01c3f236a78c6b9318be9a33f717534842c3
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Jan 8 12:27:54 2015 -0200

    window: show the search popover when the entry is mapped
    
    This avois the flickering of the popover trying to reach an unmaped widget.

 src/gcal-window.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0002e7640fd03a438efb03b6074b1e9cccff8642
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 19:39:11 2015 -0200

    search-view: update the view when a valid search occurs

 src/gcal-search-view.c | 2 ++
 1 file changed, 2 insertions(+)

commit 8933b1485a2e67e51c5b8771fbeb90c6e1bbcb84
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 19:35:21 2015 -0200

    search-view: reset states when performs the search
    
    Also, reset search when starting a new search from window.

 src/gcal-search-view.c | 3 +++
 src/gcal-window.c      | 5 +----
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 469999cd9683d3620bbd3399050c68b808bddebd
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 19:13:42 2015 -0200

    window: remove list button from search bar
    
    We won't be using is for now, and it causes a lot of confusion. Also, the behavior is quite broken.

 data/ui/window.ui | 19 -------------------
 src/gcal-window.c |  4 ----
 2 files changed, 23 deletions(-)

commit a458a7fb5235c4280d976d72f2d010ec3a570825
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 18:57:32 2015 -0200

    search-view: coding style fixes
    
    This commit introduces no new code, as it only
    change function ordering and some minor style
    fixes.

 src/gcal-search-view.c | 383 +++++++++++++++++++++++++------------------------
 1 file changed, 193 insertions(+), 190 deletions(-)

commit 37566a435ec9549091f00641eb924fd99a455889
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 18:50:37 2015 -0200

    search-view: run the search when the sources changes

 src/gcal-search-view.c | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

commit f0c126b0ee3f5d2f7ef77608c76af1c13859e744
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 18:37:20 2015 -0200

    window: fix header display

 data/ui/window.ui | 1 -
 src/gcal-window.c | 4 +++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit d5d1d374111865a8152fc5416cab70e7c0499bfb
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 17:22:20 2015 -0200

    search-view: style it to better fit the HIG stardard

 data/theme/gtk-styles.css | 11 ++---------
 data/ui/search-view.ui    |  3 +++
 2 files changed, 5 insertions(+), 9 deletions(-)

commit e88af3ab5f48c1a980b1df1f5fb30adc22f4f82d
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 17:20:58 2015 -0200

    search-view: show properly a thin line before every result
    
    This time, do not rely on CSS hacks.

 src/gcal-search-view.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit a00bc04f71de6a399e0e51f99aae82058fab5f00
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 16:46:21 2015 -0200

    window: properly show/hide search bar
    
    Instead of relaying on hacks, properly toggle visibility based on the GtkRevealer::child-revealed property.

 src/gcal-window.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 7f247444556293819f34800f97d230deffd36b94
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 16:28:29 2015 -0200

    window: don't hide search bar

 src/gcal-window.c | 1 -
 1 file changed, 1 deletion(-)

commit d628c4b9fc38e0d2b3f9825973a1768f45ac989a
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 16:15:30 2015 -0200

    search-label: show a friendly label when search entry is empty

 data/ui/search-view.ui | 34 ++++++++++++++++++++++++++++------
 src/gcal-search-view.c |  2 ++
 2 files changed, 30 insertions(+), 6 deletions(-)

commit ff54f7eb67872dad8648738efb93dd00abff9301
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 15:53:13 2015 -0200

    search-view: don't try to access NULL data
    
    This should be better debugged, as it may be a thread syncronization problem.

 src/gcal-search-view.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit ddb93d8d72d234b859e914cefb02f9b7aa447ce5
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 15:46:14 2015 -0200

    search-view: subscribe on demand
    
    To avoid filling up the list with all events, subscribe only when the first search happens.

 src/gcal-search-view.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit c9047c102f075af095ceffe0b1f4dcf699ae3716
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 15:30:43 2015 -0200

    search-view: handle search independently
    
    Instead of letting GcalWindow handle the searches,
    make GcalSearchView handle it so the widget has
    more control over the general appearance of the
    popover.

 src/gcal-search-view.c | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-search-view.h |  5 +++++
 src/gcal-window.c      |  8 ++------
 3 files changed, 55 insertions(+), 6 deletions(-)

commit 35fa63028acb01f4528943f425ab986d954009eb
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 14:22:26 2015 -0200

    search-view: does not show the popover on startup
    
    That would try to set relative to an unmapped widget, which causes awful things.

 data/ui/search-view.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b5c80e1849ddccb3a2e723d4f4de2f79a0dfa86a
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 14:18:21 2015 -0200

    search-view: better width for labels
    
    The labels are consuming too much space. This commit fix it.

 src/gcal-search-view.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit fb7b738ff7ee8416fa50a4c47e21eb20e8f4d8dc
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 14:11:22 2015 -0200

    search-view: make it a GtkPopover descendant
    
    This huge patch makes GcalSearchView a GtkPopover
    descendant. Also, it poorly adapts GcalWindow to
    make it work with it.

 data/ui/search-view.ui | 117 +++++++++++++++++++++++--------------------------
 data/ui/window.ui      |  28 +++++++++---
 src/gcal-search-view.c |   9 ++--
 src/gcal-search-view.h |   4 +-
 src/gcal-window.c      |  73 +++++++++---------------------
 5 files changed, 106 insertions(+), 125 deletions(-)

commit 6c7500c5b0d2a1e5dd9ec286cf7d7a2aaab8afcc
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 01:46:46 2015 -0200

    search-view: remove GcalSearchView::date_mask fiels
    
    Completely replaced by "%x" formatting string on GDateTime.

 src/gcal-search-view.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit a9de8dd3c14588f39cb3d0c2a15a1777673141b0
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 01:43:37 2015 -0200

    search-view: remove GcalSearchView::time_mask field
    
    It is unused and should be removed to avoid further headaches.

 src/gcal-search-view.c | 7 -------
 1 file changed, 7 deletions(-)

commit d72729356d2c4965f1643256d126745183f98a6b
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 01:42:18 2015 -0200

    search-view: respect system time format

 src/gcal-search-view.c | 33 +++++++++++++++++++++++++++++++--
 src/gcal-search-view.h |  3 +++
 src/gcal-window.c      |  1 +
 3 files changed, 35 insertions(+), 2 deletions(-)

commit 8742b47dc6ab232f93ac203cb3603f45c618e332
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 01:04:13 2015 -0200

    search-view: comment almost every function possible

 src/gcal-search-view.c | 99 ++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 96 insertions(+), 3 deletions(-)

commit cd4fb40281e047ec6dff916628e3302742673603
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Jan 7 00:35:45 2015 -0200

    search-view: major code cleanup

 src/gcal-search-view.c | 73 ++++++++++++++++++++++----------------------------
 1 file changed, 32 insertions(+), 41 deletions(-)

commit 95b35964cdfaaa82012c6b965694d3c8eb25ef8b
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 21:14:12 2015 -0200

    search-view: fixed double border at the end of the list
    
    Also, fixes a small details that the results list is
    always expanded.

 data/theme/gtk-styles.css | 4 ++++
 data/ui/search-view.ui    | 6 +++++-
 src/gcal-search-view.c    | 1 -
 3 files changed, 9 insertions(+), 2 deletions(-)

commit e34a587f16e03b16c7d7996b1325950c4087dc44
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 18:20:13 2015 -0200

    window: properly hear GcalSearchView::'event-activated' signal
    
    Data passed by search view's signal is different
    from the other views, so special case this into
    a new function.

 src/gcal-window.c | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit a0e5a8564e1bf0925fbaeee7fd96940bc43548c0
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 18:13:49 2015 -0200

    search-view: properly connect 'row-activated' signal

 data/ui/search-view.ui | 1 +
 src/gcal-search-view.c | 8 ++++++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 3cb6c0af25e156a86dea98d63925013492b706bd
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 18:04:20 2015 -0200

    search-view: emit GcalSearchView::'event-activated' signal
    
    Needed so that GcalWindow can go to the selected event's date.

 src/gcal-search-view.c | 24 +++++++++++++++++++-----
 src/gcal-search-view.h |  2 +-
 2 files changed, 20 insertions(+), 6 deletions(-)

commit 90ad7f2cde54ba1a2bf34945ed0a63691ee1b451
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 18:03:56 2015 -0200

    search-view: remove obsolete prototype

 src/gcal-search-view.c | 2 --
 1 file changed, 2 deletions(-)

commit 38311c27b59216d5ce275af2348b4b074eb005f6
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 17:23:39 2015 -0200

    search-view: ignore case when sorting events

 src/gcal-search-view.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 0c08577504f39e346663c323eba4b175d1f40a73
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 17:17:39 2015 -0200

    search-view: show 'All day' for all day events

 src/gcal-search-view.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit a0b0cf1e46c71df29dd3aa5a3c91dc6fe7b128e1
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 17:06:35 2015 -0200

    search-view: make it looks more like the proposed design
    
    The current implementation uses 2 hash tables, one
    mapping (uuid : event data) and the other one mapping
    (row : event data).
    
    Events are added and removed from both of these tables,
    but only GcalSearchView::events is responsible for the
    destruction proccess.

 src/gcal-search-view.c | 254 ++++++++++++++++++++++++++++---------------------
 1 file changed, 148 insertions(+), 106 deletions(-)

commit 0c233fe3b3a87df50964d19cc9d0c0fb675b7fc9
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 14:07:56 2015 -0200

    search-view: define detroy functions for hash table

 src/gcal-search-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb23939aa7ecadac12ce6b23769189795aac5900
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 14:06:10 2015 -0200

    search-view: add hash of events
    
    Maps uuid -> event data

 src/gcal-search-view.c | 4 ++++
 1 file changed, 4 insertions(+)

commit f44179da432aa11175ac4b740dc1eddecdbcba0a
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 13:58:13 2015 -0200

    search-view: remove obsolete comment, some style fixing

 src/gcal-search-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 26c27e880c971d608a9b22bd91de68023416c90b
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 13:53:17 2015 -0200

    search-view: change list row ordering
    
    First step to reach the design proposed[1].
    
    [1] https://dl.dropboxusercontent.com/u/5031519/calendar-search-result.png

 src/gcal-search-view.c | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 38213ae5d2d5a749be00ffc60e5bc908cd0f37bc
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Jan 5 22:18:26 2015 -0200

    window: reset query when entering search mode
    
    An empty query should show all events.

 src/gcal-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 397e1da5de562795849c368d9b94e3a301e6ebcc
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Jan 5 22:01:00 2015 -0200

    window: make 'Calendar' the default title
    
    Shows it for empty search results.

 data/ui/window.ui | 1 +
 src/gcal-window.c | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 900b55dce58f704cedd651f133bbf7105da2d3b6
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Jan 5 21:57:07 2015 -0200

    search-view: highlight date

 src/gcal-search-view.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit c4724fc875a04e181a73968526892eb0548b6ce2
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Jan 5 20:35:41 2015 -0200

    window: hear GcalSearchView::'event-activated' signal again

 src/gcal-window.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1055709d40c3f1a8b1aa4b5d36e17598a06cee74
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Jan 5 20:33:30 2015 -0200

    search-view: don't cast to GcalView when emit signal
    
    Also, remove the last traces of GcalView.

 src/gcal-search-view.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 36e51ac981593ce8cd80f202e1b6f2edbc8b61fb
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Jan 5 20:30:57 2015 -0200

    search-view: remove GcalView interface, add GcalSearchView::'search-activated' signal

 src/gcal-search-view.c | 34 ++++++++++++++++------------------
 src/gcal-search-view.h |  4 ++++
 2 files changed, 20 insertions(+), 18 deletions(-)

commit baad1c352b5bf4839b4ecadac7cf02a21a92d8bb
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Jan 5 19:48:26 2015 -0200

    Revert "window: hear GcalSearchView signals"
    
    This reverts commit 3c5d833f0bc33213757479289cc0daabfa4667c5.

 src/gcal-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c68a499ad75451098b3a51641e75677cbb24d19a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 5 10:47:37 2015 -0500

    Revert "window: readd binding between search button and search mode"
    
    This reverts commit f83c5865a3d0c2222233cbe3cec668180b8071ae.
    
    Conflicts:
    	src/gcal-window.c

 src/gcal-window.c | 3 ---
 1 file changed, 3 deletions(-)

commit bdaf2dbc2519891f775c815576f1916e4d1d0c04
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:43:36 2014 -0500

    subscriber: files renaming before class renaming

 src/Makefile.am               |   6 +-
 src/gcal-subscriber-private.h |  59 -------
 src/gcal-subscriber.c         | 394 ------------------------------------------
 src/gcal-subscriber.h         |  61 -------
 4 files changed, 3 insertions(+), 517 deletions(-)

commit e57d9ca55e51ae60e7c0ed8c3afaf1cd373f998f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:35:41 2014 -0500

    year-view: initial GtkWidget::size_allocate impl
    
    This impl uses internals structures from GcalSubscriber

 src/gcal-year-view.c | 55 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit 5f29241c64c0e4b1831cc120d887bf56e39153a9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:24:00 2014 -0500

    year-view: add initial ::draw impl
    
    So far support RTL drawing.
    Missing:
    + Overflow indicators (this could be buttons)
    + selection borders drawing

 src/gcal-year-view.c | 74 ----------------------------------------------------
 1 file changed, 74 deletions(-)

commit 61e11019522e0e2afceb7f4b4e949f3038504667
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:21:17 2014 -0500

    year-view: add orientation factor
    
    This would be helpful in order to provide proper RTL drawing to the view

 src/gcal-year-view.c | 74 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 74 insertions(+)

commit caf4031efe48b7508d7cd086ed2f1e006a67b1c7
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:12:57 2014 -0500

    subscriber: rework ::remove and ::modified vfuncs
    
    Since we have now access to the hash keeping the children of thw widget
    there's no more need of calling GcalView::get_by_uuid

 src/gcal-subscriber.c | 43 ++++++++++++++++++++++++-------------------
 1 file changed, 24 insertions(+), 19 deletions(-)

commit c1e68032c960fdab8b2c7198eb18b48fbe2e4100
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:09:06 2014 -0500

    subscriber: added protected internal structure
    
    The idea here is to make GcalSubscriber handle the container
    responsibilities of the view, and the view will handle only the drawing
    an allocating, this would allow us to remove GcalView interface and
    merge its methods in GcalSubscriber.

 src/Makefile.am               |   6 +-
 src/gcal-subscriber-private.h |  59 +++++++
 src/gcal-subscriber.c         | 389 ++++++++++++++++++++++++++++++++++++++++++
 src/gcal-subscriber.h         |  61 +++++++
 4 files changed, 512 insertions(+), 3 deletions(-)

commit a12e3cb59de364a25ca2439a0484f8cf789ec3ec
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Jan 4 11:23:28 2015 -0200

    search-view: add a timeout for displaying the 'no results' page
    
    When the user types, *all* entries are removed, then readded.
    
    Because of it, the 'No results' page keeps flickering. This patch fixes this.

 src/gcal-search-view.c | 33 +++++++++++++++++++++++++++++----
 1 file changed, 29 insertions(+), 4 deletions(-)

commit bcbdb82baa7cd1e941e3b687b1dd216dd0637aee
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Jan 4 00:16:23 2015 -0200

    window: show/hide buttons according to search mode

 src/gcal-window.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit ab1374d8cd4ba979f236b08bbe7622aa95f21bf3
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Jan 4 00:02:32 2015 -0200

    search-view: implemented no results page

 data/ui/search-view.ui | 1 +
 src/gcal-search-view.c | 8 ++++++++
 2 files changed, 9 insertions(+)

commit f937489dcd390e1e08a77cbc7b9eb7158bdc60aa
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 23:41:48 2015 -0200

    search-view: keep a cached count of results

 src/gcal-search-view.c | 3 +++
 1 file changed, 3 insertions(+)

commit a3c12fe09260a3015976d26f02ce1346950b9641
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 23:39:21 2015 -0200

    search-view: make it build the UI from search-view file

 src/gcal-search-view.c | 25 ++++++++-----------------
 1 file changed, 8 insertions(+), 17 deletions(-)

commit 9d90cc8c84b8573d4899ebe03837e93a1716aee1
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 23:38:46 2015 -0200

    search-view: fixed minor visual issues

 data/ui/search-view.ui | 54 +++++++++++++-------------------------------------
 1 file changed, 14 insertions(+), 40 deletions(-)

commit 3936f46253f89b76904533f45dc492c760f5bb2c
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 23:30:32 2015 -0200

    search-view: add CSS class to UI file

 data/ui/search-view.ui | 3 +++
 1 file changed, 3 insertions(+)

commit 4f40ac67af07a6a8cebc0d634492d5ba3c9a14a7
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 23:28:44 2015 -0200

    search-view: make it dependant of Gtk+ 3.10

 data/ui/search-view.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d5df1588057fc778de664b0741fc57cb3b2f9a9b
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 23:26:06 2015 -0200

    search-view: add GtkBuilder UI files

 data/Makefile.am            |   1 +
 data/calendar.gresource.xml |   1 +
 data/ui/search-view.ui      | 115 ++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 117 insertions(+)

commit 842be669cd3c41868dc78898cfb5f947df77e5e3
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 23:09:45 2015 -0200

    search-view: add a border below search results

 data/theme/gtk-styles.css | 4 ++++
 src/gcal-search-view.c    | 1 +
 2 files changed, 5 insertions(+)

commit 69a1af76d9ac2186f66636f46fa2a4c00e945b5e
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 22:46:07 2015 -0200

    search-view: correct background color

 data/theme/gtk-styles.css | 4 ++++
 1 file changed, 4 insertions(+)

commit 160e66cc83bc4829459714ff34151c4348578fa8
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 22:42:02 2015 -0200

    search-view: align date & time box with event widget

 src/gcal-search-view.c | 1 +
 1 file changed, 1 insertion(+)

commit 41d685d5e33ea439336ffd8a47debe1fb8bfdb97
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 22:38:21 2015 -0200

    search-view: wrap date & time labels in a box
    
    Makes the upper grid more flexible.

 src/gcal-search-view.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 0bdff182f8bf374c7c8f64c68e2c8e126182ea98
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 22:29:27 2015 -0200

    search-view: wrap the list around a frame

 src/gcal-search-view.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 5fc4c250025ce4ece28c75cd3bf1d8c4b311fc76
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 22:13:25 2015 -0200

    search-view: remove end date from grid

 src/gcal-search-view.c | 63 ++++++++++++++++----------------------------------
 1 file changed, 20 insertions(+), 43 deletions(-)

commit 4195e294ab7ef70fde5cb7be2c409e839916c8f8
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 21:32:51 2015 -0200

    search-view: show date & time data from events
    
    Needs lotf of work

 src/gcal-search-view.c | 111 +++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 104 insertions(+), 7 deletions(-)

commit 35db162529ab1420f2b2d52c133f045272d26f49
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 21:30:24 2015 -0200

    search-view: cache locale data
    
    Time mask will need format_24h info

 src/gcal-search-view.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 5a32c3794cc7e8eb1a91c32637570bd53f8650bc
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 20:26:54 2015 -0200

    search-view: sort events by date & name
    
    Date has highest priority than name when sorting.
    
    Past events goes last, future events goes first.

 src/gcal-search-view.c | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit c8b143e399e108a7503b7695dfb721ce98d1b954
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 20:09:57 2015 -0200

    search-view: properly remove widgets by their data

 src/gcal-search-view.c | 35 +++++++++++++++++++++++++++++++----
 1 file changed, 31 insertions(+), 4 deletions(-)

commit 13ee94248d3543c8efe3580678780fdcfaa8d279
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 19:41:40 2015 -0200

    search-view: emit GcalView::'event-activated' signal when needed

 src/gcal-search-view.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 586de0f2e21ba1fa5fdeead688807798180c16f1
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 19:35:02 2015 -0200

    window: hear GcalSearchView signals
    
    Previous commit made GcalSearchView a GcalView implementation.

 src/gcal-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f0413e1bc5ba22c5976865ba9568145fe8019ca
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 19:30:46 2015 -0200

    search-view: stub implementation of GcalView interface

 src/gcal-search-view.c | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit a4d7d317f2db35db1971329895d549273002f266
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Jan 9 14:13:40 2015 +0100

    Updated POTFILES.in

 po/POTFILES.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5a3e9577f2af824d3b474d4f7aa1269fe286f25a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 8 13:04:49 2015 -0500

    view: fix gdk relayout warning

 src/gcal-month-view.c | 9 +++++++++
 src/gcal-year-view.c  | 9 +++++++++
 2 files changed, 18 insertions(+)

commit c6b0274c2f4bedb483286489776dae3f3d4b04d8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 8 13:03:34 2015 -0500

    subscriber-view: flag children changes

 src/gcal-subscriber-view-private.h | 3 +++
 src/gcal-subscriber-view.c         | 4 ++++
 2 files changed, 7 insertions(+)

commit 668c9ec439a74627fe13ec5b77d22dc8196dec81
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Jan 8 13:03:01 2015 -0500

    subscriber-view: fix define guard

 src/gcal-subscriber-view-private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 55bb938127b3a81c8e419df3f3d073d2a654f931
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Jan 7 13:08:51 2015 -0500

    year-view: use g_list_foreach

 src/gcal-year-view.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 2d93d0a939fe2615e89afaf20333fef753490c78
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Jan 7 12:51:51 2015 -0500

    ignore: updated

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit e411257fca1e2be0d90abb2895479e9a7304efb8
Author: Igor Gnatenko <ignatenko@src.gnome.org>
Date:   Fri Jan 2 20:17:58 2015 +0300

    Makefile: don't install docs
    
    All RPM-based distros installing docs via %doc in RPM Spec.
    Fedora < 21 using arch-dependent doc-dir.
    
    Signed-off-by: Igor Gnatenko <ignatenko@src.gnome.org>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742231

 Makefile.am | 7 -------
 1 file changed, 7 deletions(-)

commit 322ae8516767788eddc34451c663041b11ff8303
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Jan 6 18:48:28 2015 -0200

    appdata: update search view image
    
    Search view was heavily under development, and the UI changed a lot. This image better shows the current status.

 data/appdata/search.png | Bin 53632 -> 70588 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit de0171c654dcb861716a3808e7af77f8827bc8db
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Jan 4 00:23:59 2015 -0200

    appdata: added some images and update URIs in xml
    
    Images were taken with default GNOME theme and has more better
    resolution.
    
    Signed-off-by: Igor Gnatenko <ignatenko@src.gnome.org>
    https://bugzilla.gnome.org/show_bug.cgi?id=742214

 data/appdata/calendar-management.png           | Bin 0 -> 35427 bytes
 data/appdata/default.png                       | Bin 0 -> 33548 bytes
 data/appdata/org.gnome.Calendar.appdata.xml.in |   6 +++---
 data/appdata/search.png                        | Bin 0 -> 53632 bytes
 4 files changed, 3 insertions(+), 3 deletions(-)

commit ab45e692d77929e43182f245a006ff67836696f6
Author: Igor Gnatenko <ignatenko@src.gnome.org>
Date:   Fri Jan 2 05:10:55 2015 +0300

    add AppStream to show in Software Centres
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742214
    Signed-off-by: Igor Gnatenko <ignatenko@src.gnome.org>

 Makefile.am                                    |  2 ++
 configure.ac                                   |  3 ++
 data/Makefile.am                               |  2 +-
 data/appdata/Makefile.am                       |  8 +++++
 data/appdata/org.gnome.Calendar.appdata.xml.in | 44 ++++++++++++++++++++++++++
 5 files changed, 58 insertions(+), 1 deletion(-)

commit 96aa73164f1482a97c35dc6f18964a5422b39eec
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Jan 5 22:35:23 2015 -0200

    window: change refresh times
    
    Make them as 15min for active windows and 1h for innactive windows.

 src/gcal-window.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5e78eadba789f5aeea1657231fdaf976a4cec953
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Jan 5 10:47:37 2015 -0500

    Revert "window: readd binding between search button and search mode"
    
    This reverts commit f83c5865a3d0c2222233cbe3cec668180b8071ae.

 src/gcal-window.c | 3 ---
 1 file changed, 3 deletions(-)

commit 13a2aad87baadfed1706307244743fbf58d62228
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 31 10:22:26 2014 -0500

    month-view: impl ::clear_state vfunc
    
    Implementing GcalSubscrberView::clear_state allow month-view to use
    GcalSubscriberView::setup_child when handling overflow widgets

 src/gcal-month-view.c      | 34 ++++++++++++++++++----------------
 src/gcal-subscriber-view.c |  3 ++-
 2 files changed, 20 insertions(+), 17 deletions(-)

commit b27402e870f3e0a6a58f2497a6a760ef75bb434e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 31 10:09:52 2014 -0500

    debug: changed warning statements

 src/gcal-manager.c         |  2 +-
 src/gcal-subscriber-view.c | 14 ++++++++++----
 2 files changed, 11 insertions(+), 5 deletions(-)

commit e0b26dd6f7345580ca466322ff45a351562cce3e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 30 21:42:32 2014 -0500

    style: misc fixes

 src/gcal-month-view.c | 22 +++++++---------------
 1 file changed, 7 insertions(+), 15 deletions(-)

commit 22eda8563264ab0364f441b4881c24f97c845044
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 30 21:33:25 2014 -0500

    month-view: use subscriber-view internals

 src/gcal-month-view.c | 285 ++++++++++----------------------------------------
 1 file changed, 53 insertions(+), 232 deletions(-)

commit 37245c6702e68478e5136f038df6bccf09e219cb
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 30 21:28:31 2014 -0500

    subscriber-view: fix :event-activated signal type

 src/gcal-subscriber-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6989eb36c53bea533495e2071245aa6be7e16401
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 30 10:22:24 2014 -0500

    subscriber-view: add ::clear_state to reset widget
    
    GcalSubscriberView::clear_state is implemented by descendants to reset
    the state of the drawing

 src/gcal-subscriber-view.c | 17 ++++++++++++++++-
 src/gcal-subscriber-view.h |  5 +++--
 2 files changed, 19 insertions(+), 3 deletions(-)

commit a5fe4c5ef0948ecba68de595a1f5a5a038e5a143
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 30 10:12:44 2014 -0500

    subscriber-view: use ::setup_child protected func

 src/gcal-month-view.c      |  2 +-
 src/gcal-subscriber-view.c | 22 +++++++++++++++++++---
 src/gcal-subscriber-view.h |  4 ++++
 src/gcal-year-view.c       | 15 +--------------
 4 files changed, 25 insertions(+), 18 deletions(-)

commit fdf12bc6fd8050b589757d9e8709277995e7c1e3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 30 10:10:32 2014 -0500

    subscriber-view: adopt ::event-activated signal

 src/gcal-subscriber-view.c | 13 +++++++++++++
 src/gcal-subscriber-view.h |  3 +++
 src/gcal-view.c            | 10 ----------
 src/gcal-view.h            |  1 -
 4 files changed, 16 insertions(+), 11 deletions(-)

commit 663f1c6fa4c49ac893653876e9c5e1b1ff27a6aa
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 17:28:27 2014 -0500

    build: remove not-used code

 src/gcal-month-view.c | 1 -
 src/gcal-month-view.h | 3 ---
 src/gcal-year-view.c  | 1 -
 src/gcal-year-view.h  | 3 ---
 4 files changed, 8 deletions(-)

commit 9994377c9f8807938f4db9a114545cbb848eeb4c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 17:24:13 2014 -0500

    subscriber-view: gained ::get_child_by_uuid vfunc
    
    Started migrating methods from GcalView to GcalSubscriber

 src/gcal-month-view.c      | 29 -----------------------------
 src/gcal-subscriber-view.c | 24 ++++++++++++++++++++++++
 src/gcal-subscriber-view.h |  8 +++++++-
 src/gcal-view.c            | 21 ---------------------
 src/gcal-view.h            |  6 ------
 src/gcal-week-view.c       | 18 ++++++++++--------
 src/gcal-window.c          | 12 ++++--------
 src/gcal-year-view.c       | 20 --------------------
 8 files changed, 45 insertions(+), 93 deletions(-)

commit 0e5c197c2f08f9448701cb35de9a1993074bcbdf
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 17:03:50 2014 -0500

    subscriber: renamed to GcalSubscriberView
    
    This is more of a semantic change than anything else. GcalSubscriber
    will gradually take on GcalView interface and that's why I'm adding the
    View suffix.

 src/gcal-month-view.c              |   7 +-
 src/gcal-month-view.h              |   4 +-
 src/gcal-subscriber-view-private.h |   8 +-
 src/gcal-subscriber-view.c         | 182 ++++++++++++++++++-------------------
 src/gcal-subscriber-view.h         |  36 ++++----
 src/gcal-week-view.c               |   7 +-
 src/gcal-week-view.h               |   4 +-
 src/gcal-year-view.c               |  39 ++++----
 src/gcal-year-view.h               |   4 +-
 9 files changed, 141 insertions(+), 150 deletions(-)

commit 0aba9c55d2dd3e1dfa3becfa873528601d9f7cea
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:43:36 2014 -0500

    subscriber: files renaming before class renaming

 src/Makefile.am                    |   6 +-
 src/gcal-month-view.h              |   2 +-
 src/gcal-subscriber-private.h      |  59 ------
 src/gcal-subscriber-view-private.h |  59 ++++++
 src/gcal-subscriber-view.c         | 394 +++++++++++++++++++++++++++++++++++++
 src/gcal-subscriber-view.h         |  61 ++++++
 src/gcal-subscriber.c              | 394 -------------------------------------
 src/gcal-subscriber.h              |  61 ------
 src/gcal-week-view.h               |   2 +-
 src/gcal-year-view.c               |   2 +-
 src/gcal-year-view.h               |   2 +-
 11 files changed, 521 insertions(+), 521 deletions(-)

commit c5311148f1aa67cfc6c70cd8e62cdab8ef64e6e9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:37:16 2014 -0500

    year-view: clean warning and whitespace

 src/gcal-year-view.c | 2 --
 1 file changed, 2 deletions(-)

commit 2db94ae2cb3f6954bb9bbd53c1f6494249d319d9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:36:16 2014 -0500

    year-view: implement GcalView::get_by_uuid

 src/gcal-year-view.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit c4bd918827ae3bfed77aeb6d6589bca1b0e0c7ec
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:35:41 2014 -0500

    year-view: initial GtkWidget::size_allocate impl
    
    This impl uses internals structures from GcalSubscriber

 src/gcal-year-view.c | 278 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 273 insertions(+), 5 deletions(-)

commit d9801d188b1417bb89105c25d5dee4bbfa1cc32b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:32:17 2014 -0500

    year-view: implement GcalSubscriber extensions points
    
    In GcalSubscriber container implementation is needed to find out if an
    event will expand more than on cell on a view and on which cell it
    belongs. GcalSubscriber provides two vfuncs for its descendants to implement.

 src/gcal-year-view.c | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit 354581b7aaadad7d53b5b5eeee869f8e20f8ed74
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:30:00 2014 -0500

    year-view: use GcalSubscriber container mojo
    
    Empties GtkWidget::size_allocate and GcalView::get_by_uuid to make it build

 src/gcal-year-view.c | 257 ++-------------------------------------------------
 1 file changed, 6 insertions(+), 251 deletions(-)

commit cdd27073e3cad7458a1b43fde7285eb0925d2f0b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:24:00 2014 -0500

    year-view: add initial ::draw impl
    
    So far support RTL drawing.
    Missing:
    + Overflow indicators (this could be buttons)
    + selection borders drawing

 src/gcal-year-view.c | 264 +++++++++++++++++++--------------------------------
 1 file changed, 97 insertions(+), 167 deletions(-)

commit 78d92c394e908c9d80142a9912b31fc094fc5306
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:21:17 2014 -0500

    year-view: add orientation factor
    
    This would be helpful in order to provide proper RTL drawing to the view

 src/gcal-year-view.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit 362dc6889826e1af4b665fc8d56dada2179ba27c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:12:57 2014 -0500

    subscriber: rework ::remove and ::modified vfuncs
    
    Since we have now access to the hash keeping the children of thw widget
    there's no more need of calling GcalView::get_by_uuid

 src/gcal-subscriber.c | 43 ++++++++++++++++++++++++-------------------
 1 file changed, 24 insertions(+), 19 deletions(-)

commit 8e899465e94f84cde82719f7d03f13411c74743b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 29 16:09:06 2014 -0500

    subscriber: added protected internal structure
    
    The idea here is to make GcalSubscriber handle the container
    responsibilities of the view, and the view will handle only the drawing
    an allocating, this would allow us to remove GcalView interface and
    merge its methods in GcalSubscriber.

 src/Makefile.am               |   1 +
 src/gcal-subscriber-private.h |  59 +++++++++++
 src/gcal-subscriber.c         | 238 +++++++++++++++++++++++++++++++++++++++++-
 src/gcal-subscriber.h         |   8 ++
 4 files changed, 301 insertions(+), 5 deletions(-)

commit 098d8a79d8f3674ba34c00ae61b0667ff4e7e6ea
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 26 23:24:02 2014 -0500

    window: fix search_button/search_bar binding
    
    Remove unneeded placeholder declaration
    This code was accidentally touched on commit:
    2970729324f2c442c85df918ea67c13152c60a17
    This is kind-of a revert of that patch

 data/ui/window.ui | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit a229715937719311057b3f408aafbf1aa2ec1425
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Mon Jan 5 12:31:28 2015 +0000

    Updated Hungarian translation

 po/hu.po | 79 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 42 insertions(+), 37 deletions(-)

commit 35776172f37291aa91b0b8a19f63fd7ec5dcb7d1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jan 5 09:20:20 2015 +0100

    Updated Polish translation

 po/pl.po | 42 +++++++++++++++++++++++-------------------
 1 file changed, 23 insertions(+), 19 deletions(-)

commit b2fe4dbd553785ec1d0a1dfdbafb780ad21f8404
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Jan 4 15:25:47 2015 +0100

    Updated Czech translation

 po/cs.po | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit 7e98a1a99067c5c455c1e693c7f8ee2312a68b39
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sat Jan 3 22:25:46 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 395 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 218 insertions(+), 177 deletions(-)

commit 3cde8ad4f486a6d8acc90776380e0a9c4f2ae6e2
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 18:41:19 2015 -0200

    window: simplify refresh sources timeout code

 src/gcal-window.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 8aefe7131694b5e2f4ebcf453fc472918c21fb8b
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 17:17:09 2015 -0200

    window: syncronize sources from time to time
    
    Currently, it is hardcoded 5min for active windows, and 20min for innactive windows. These values may change later.

 data/ui/window.ui |  1 +
 src/gcal-window.c | 63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

commit b635ac71123e11b53539c54ffe464b5cea68fccc
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 16:00:37 2015 -0200

    time-selector: fix wrong time order for RTL languages
    
    Fix bug #741921.

 src/gcal-time-selector.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit c10ba6b22807075aad36e548810ee62a684f479b
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 15:31:05 2015 -0200

    time-selector: don't access dconf multiple times for the same key
    
    Instead of accessing 3 times the same key, use the cached version and save up some time.

 src/gcal-edit-dialog.c   |  3 +++
 src/gcal-time-selector.c | 38 +++++++++++++++++---------------------
 src/gcal-time-selector.h |  3 +++
 3 files changed, 23 insertions(+), 21 deletions(-)

commit fa014972bcb635292e41f23da4333fdb9bad4c53
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 15:11:20 2015 -0200

    time-selector: make it GtkMenuButton descendant
    
    With it, it is up to Gtk+ to handle the popover.

 data/ui/time-selector.ui | 131 +++++++++++++++++++++++++++--------------------
 src/gcal-time-selector.c |  65 +++++------------------
 src/gcal-time-selector.h |   4 +-
 3 files changed, 91 insertions(+), 109 deletions(-)

commit ecb4cb24d6e30eff328ce79f0066ac3a67348d0a
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 13:11:00 2015 -0200

    manager: fix refreshing condition
    
    GcalManager shouldn't refresh when it's not enabled or when refreshing is not supported, not strictly both of them.

 src/gcal-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6915522ecc7b05816c17e1de33f75f35fd1d7a92
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 13:08:47 2015 -0200

    manager: syncronize sources at startup
    
    As proposed by the design team, Calendar should update the sources at startup time.

 src/gcal-manager.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 29d5af6bca7f92b01157ac410773eb609d64068d
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 12:42:41 2015 -0200

    window: perform the search even for empty strings
    
    This will keep consistency, since empty search is performed for the first time, then it's ignored.

 src/gcal-window.c | 27 ++++++++++-----------------
 1 file changed, 10 insertions(+), 17 deletions(-)

commit b43e08be8b77d75a477a69c7ba11b1cfeaf675dd
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 12:21:06 2015 -0200

    theme: improve .overflow:hover class to better fit the mockups

 data/theme/gtk-styles.css | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f83c5865a3d0c2222233cbe3cec668180b8071ae
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 11:24:57 2015 -0200

    window: readd binding between search button and search mode
    
    This should've been lost somewhere.

 src/gcal-window.c | 3 +++
 1 file changed, 3 insertions(+)

commit 0446fa09e6609b32b7dfced7885231534133b5df
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Jan 3 11:03:40 2015 -0200

    edit-dialog: removed 'entry' style class
    
    It was causing horrible visual glitches when text overflows.

 data/ui/edit-dialog.ui | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit fd4172c513076026e5ac0d4b96a867885f030a9e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Dec 28 20:45:20 2014 +0100

    Updated Polish translation

 po/pl.po | 78 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 45 insertions(+), 33 deletions(-)

commit 6b020e2ed451c32ca490e98fb6d0c040dacd9b86
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Dec 27 17:03:11 2014 +0100

    The Czech translation

 po/cs.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5fa7ad717e745497369b4e6812e7acaa35c04184
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Dec 27 17:01:55 2014 +0100

    The Czech translation

 po/cs.po | 329 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 151 insertions(+), 178 deletions(-)

commit b637c7e7faaf575710fda587f519f3dc95d46bd9
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Dec 27 14:15:10 2014 +0100

    Updated Serbian translation

 po/sr.po       | 403 +++++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po | 403 +++++++++++++++++++++++++++++++--------------------------
 2 files changed, 446 insertions(+), 360 deletions(-)

commit 11324a6712e14c8d44fa7fc9f4b5a8dc1b88cf05
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 26 16:53:05 2014 -0500

    month-view: fix all-day events end-date
    
    All-day events has an end-date one day after they really end.

 src/gcal-month-view.c | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

commit 443a502b1f4c08ed10b3be21b517fe0aa89e203a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 26 12:02:15 2014 -0500

    month-view: fix ::forall impl leaking

 src/gcal-month-view.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit b66d4eb21caeb62f9c195cb861202610bd28b724
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 26 12:01:53 2014 -0500

    misc: fix memory leak

 src/gcal-edit-dialog.c | 6 ++++--
 src/gcal-month-view.c  | 7 +++----
 2 files changed, 7 insertions(+), 6 deletions(-)

commit e6a929f3fdb867466dc571a152e2d9d179d10c5b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 25 20:24:36 2014 -0500

    view: remove ::mark_current_unit
    
    New event action will open edit-dialog directly so this method is not needed

 src/gcal-month-view.c | 49 -------------------------------------------------
 src/gcal-view.c       | 20 --------------------
 src/gcal-view.h       |  5 -----
 src/gcal-week-view.c  |  1 -
 src/gcal-year-view.c  | 35 -----------------------------------
 5 files changed, 110 deletions(-)

commit 2261ea69093fda666981af787b5745c5623b0cb9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 25 18:47:54 2014 -0500

    month-view: fix memory leak
    
    Remove unneeded debug instructions

 src/gcal-month-view.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 43dd2e207f189a461afa4fedc1da08daaf9b5af8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 25 18:47:32 2014 -0500

    utils: fix memory leak

 src/gcal-utils.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 9638db32e637fc97a9e5a395db5278baaf74e6a0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 25 18:47:04 2014 -0500

    date-selector: fix memory leak

 src/gcal-date-selector.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 070be33262c49aa7a5605e95cd415a2d139a73ca
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 25 15:46:13 2014 -0500

    search-view: remove unused GtkSizeGroup

 src/gcal-search-view.c | 4 ----
 1 file changed, 4 deletions(-)

commit de2cb4c9b9b9e913f8815a83aedf39600e45287e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 25 13:34:30 2014 -0500

    window: use edit-dialog on new event action
    
    New event action triggered from the menu on the header bar or the app
    menu should not use new-event popover.

 src/gcal-window.c | 40 ++++++++++++----------------------------
 1 file changed, 12 insertions(+), 28 deletions(-)

commit 5395dca4f2f7f4dca6933b72bb34c3239c29be74
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 25 13:03:15 2014 -0500

    date-selector: make it GtkMenuButton descendant
    
    Added GtkBuilder's UI file definition

 data/ui/date-selector.ui | 168 +++++++++++++++++++++++++++++++----------------
 src/gcal-date-selector.c | 129 +++++++++++++-----------------------
 src/gcal-date-selector.h |   4 +-
 3 files changed, 160 insertions(+), 141 deletions(-)

commit 7cd5a40a0dd5fe3ba8155c7c7e03f316ac35aaa3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 15:55:56 2014 -0500

    build: remove autogen warnings
    
    Copied autogen.sh from folks projects where pwithnall cares for
    autotools stuff.

 autogen.sh | 37 ++++++++++++++++++++-----------------
 1 file changed, 20 insertions(+), 17 deletions(-)

commit f988f74560e1f82b99a18e3b3b2821c31245395d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 15:21:55 2014 -0500

    Bump version to 3.15.3.1 for release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit acc9dc47482b0a03b3d8c23fb44b6d40fbb020ee
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 15:17:47 2014 -0500

    NEWS: updated for release

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit bc1560c609d2f96db3aa14e2926e4d0f85385f49
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 15:12:20 2014 -0500

    manager: cleaner way of returning enabled sources

 src/gcal-manager.c | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit d1315de42abfe79d53ba1af4463e91af57277ac5
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 15:00:56 2014 -0500

    date-selector: fixed re-entry in ::set_date
    
    This was causing double actualization of internal day,month,year
    variables because GtkCalendar::day-selected signal handler is run by
    default after the user connected ones.

 src/gcal-date-selector.c | 2 ++
 1 file changed, 2 insertions(+)

commit a7aed0987a1820fe883554d9be04932d0042f2f1
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 13:33:29 2014 -0500

    month-view: fix draw and allocation on 6 rows months
    
    Sometimes months expand 6 rows completely instead of the regular
    5. March, 2015 is an example of it. Allocation of widgets, drawing
    of indicators, placement of the overflow popover was wrong.

 src/gcal-month-view.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit cf69b68288c136d0aba460607f06dcdc88d54e82
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 13:27:35 2014 -0500

    date-selector: always use 4 digits entry for years
    
    Since GtkCalendar widget is a bit clunky to navigate fast between years,
    using a four years digits it's better because we are still
    very close to the change of the century.

 src/gcal-date-selector.c | 27 +--------------------------
 1 file changed, 1 insertion(+), 26 deletions(-)

commit 8877e89e65b80e1fb3dc766d88c56bf394ac9fad
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 11:09:08 2014 -0500

    manager: add debug statements

 src/gcal-manager.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 358b3766a0f091a05cfa24d7eb5056beab0cdc3d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 11:08:30 2014 -0500

    manager: don't query disconnected clients

 src/gcal-manager.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 375425573d1e38ed401e1b8e93145dbe2a9dd019
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 24 11:07:37 2014 -0500

    edit-dialog: fix memory leak
    
    Also, evolution set altrep to NULL usually, we better do the same.

 src/gcal-edit-dialog.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8ffb7fcd612d5c9f3fb2599424f3447109b4f25e
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 24 10:47:01 2014 -0200

    configure: updated link to wiki.gnome.org

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb57d5998a755b994dcae506eefb3b2cd9671dd1
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 23 21:35:05 2014 -0200

    month-view: better handle overflow background draw

 src/gcal-month-view.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 9926c3a01bcebbb4f7adbbc65d7c1cc790a0d886
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 23 12:11:33 2014 -0500

    Bump version to 3.15.3 for release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1557245a195daf032368eed45cdde17c708af9d5
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 23 12:10:46 2014 -0500

    Updated POTFILES.in
    
    Fix make distcheck

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eba5a341bbefbbc1b6864ee9a5e37bdc8b8cda30
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 23 12:00:56 2014 -0500

    NEWS: updated for release

 NEWS | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 70fa71492ebe128cbf3e09b32f48f878438dfc62
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 23 14:24:16 2014 -0200

    date-selector: added docs

 src/gcal-date-selector.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit e2dc2591e8999c33cc5d7b76ecf968a9abc421d3
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 23 14:16:35 2014 -0200

    date-selector: remove unneeded initialization
    
    GObject initializes private fields to 0, we don't have to redo this work.

 src/gcal-date-selector.c | 1 -
 1 file changed, 1 deletion(-)

commit 70d62e802d1e176d16f24dcdc194b0c275500a53
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 23 14:11:59 2014 -0200

    date-selector: fix code style format
    
    Better legibility is always welcomed.

 src/gcal-date-selector.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit ef3b4f059f17dd4b6910692efb51992bc82c7230
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 23 10:22:35 2014 -0500

    build: fix make distcheck

 data/Makefile.am       | 1 +
 data/icons/Makefile.am | 7 ++++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c4c2ae3517388b3714bb91bc2df4d840972852aa
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 23 10:21:50 2014 -0500

    build: autogen does not need git submodule mojo

 autogen.sh | 2 --
 1 file changed, 2 deletions(-)

commit 4d9ed837cbe877c7ed117e15c08deb85949f7dd4
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 23 12:44:58 2014 -0200

    date-selector: remove debug message
    
    It's not needed to know the mask.

 src/gcal-date-selector.c | 1 -
 1 file changed, 1 deletion(-)

commit 5ed4832f9a18d429d37b3d85c6269fb7e750a7e2
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 23 12:37:57 2014 -0200

    date-selector: use atoi instead of strtol
    
    This prevents the pseudo-bug where strtol thinks the date is in octal because of the leading zeros.

 src/gcal-date-selector.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3257f47b462f46306e067a7cdcfef9245e54d7a2
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 23 12:31:14 2014 -0200

    date-selector: fix code style

 src/gcal-date-selector.c | 18 ++++++------------
 1 file changed, 6 insertions(+), 12 deletions(-)

commit fddac33fad9e901e1973b38aa8b3c7b5b849f603
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 23 11:22:54 2014 -0200

    date-selector: factor out duplicated code

 src/gcal-date-selector.c | 56 +++++++++++-------------------------------------
 1 file changed, 13 insertions(+), 43 deletions(-)

commit 13a3fb96386e88d1c374b89a9031fb0603a4e827
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Dec 22 15:48:01 2014 -0200

    date-selector: don't set locale on ::init

 src/gcal-date-selector.c | 1 -
 1 file changed, 1 deletion(-)

commit 5cec73ab436f8b18ce377504bce068ddd5b5931e
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Dec 22 13:15:49 2014 -0200

    date-selector: completely drop the format_24h flag
    
    Dates do not depend on the time format, so it shouldn't be cached here.

 src/gcal-date-selector.c | 27 ---------------------------
 src/gcal-date-selector.h |  3 ---
 2 files changed, 30 deletions(-)

commit 9b5670a4167d7c3ec43f3778b39f019b97c4a636
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Dec 22 13:10:59 2014 -0200

    date-selector: add gcal_date_selector_use_24h_format function
    
    Will be used later on in order to avoid retrieving this value multiple times with GSettings.

 src/gcal-date-selector.c | 15 +++++++++++++++
 src/gcal-date-selector.h |  3 +++
 2 files changed, 18 insertions(+)

commit 07e052ef9c9ed28f4c69bb9c40598aa7f7d67de5
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Dec 22 13:02:34 2014 -0200

    edit-dialog: requires date format for construct
    
    Neccessary to pass it to GcalDateSelector & GcalTimeSelector without having to search the value again.

 src/gcal-edit-dialog.c | 7 ++++++-
 src/gcal-edit-dialog.h | 2 +-
 src/gcal-window.c      | 2 +-
 3 files changed, 8 insertions(+), 3 deletions(-)

commit 0ad7dd54abd5dacac8e8cb7ac09546b057ec75a7
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Dec 22 12:54:19 2014 -0200

    date-selector: remove wrongly placed g_object_refs

 src/gcal-date-selector.c | 5 -----
 1 file changed, 5 deletions(-)

commit 0db303abe26989feaa9e6f5eebba6b86dcdfaeff
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 18:23:34 2014 -0200

    edit-dialog: fix sizing issue

 data/ui/edit-dialog.ui | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit bfc6e37595c88f67817f998c1bb6ea471a615d82
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 15:15:37 2014 -0200

    date-selector: show Day, Month and Year labels according to it's position

 data/ui/date-selector.ui |  6 ++++--
 src/gcal-date-selector.c | 16 ++++++++++++++++
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 71913eed414fd7ab6c63bd6ad0c5f0843b478747
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 14:17:23 2014 -0200

    date-selector: fire MODIFIED signal
    
    Also, some code cleanup.

 src/gcal-date-selector.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 62849f128df3ffb375b0cabf266450d419546dc0
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 13:52:53 2014 -0200

    date-selector: fix focus-out propagation issue

 src/gcal-date-selector.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit f0e0a6c015d939bbf034d27cc7c7c8298932b8e1
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 13:50:00 2014 -0200

    date-selector: update date on GtkEntry::activate signal

 src/gcal-date-selector.c | 50 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

commit 55b4002e6bda403fd78b07249059f7491e5d5bba
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 13:42:06 2014 -0200

    date-selector: set date on GtkEntry::focus-out-event

 src/gcal-date-selector.c | 53 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit 26df8ec8d82918139bc5e36903fd678aedf6083e
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 13:09:43 2014 -0200

    edit-dialog: link date & time selectors

 data/ui/edit-dialog.ui | 74 ++++++++++++++++++++++++++++++++++----------------
 1 file changed, 50 insertions(+), 24 deletions(-)

commit 077b1a7d01fbcbdd1bca0149351de220a2ee7120
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 13:03:20 2014 -0200

    date-selector: clamp day & month values before validating it

 src/gcal-date-selector.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 107772131b5479620d3b9511ab7f5e802870f7ad
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 13:01:23 2014 -0200

    date-selector: clear code, improved set_date func

 src/gcal-date-selector.c | 129 ++++++++++++++++++++++-------------------------
 1 file changed, 59 insertions(+), 70 deletions(-)

commit d820abcb3ed0f800a4d77ca5d54b24cd55c44a93
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 12:48:09 2014 -0200

    date-selector: allow calendar to select the date
    
    For testing reasons, we don't fire MODIFIED signal yet.

 src/gcal-date-selector.c | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 86624ce8fdddd33e6181cb39c4ae1981d5ad5a20
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 12:32:55 2014 -0200

    date-selector: validate entries' input

 src/gcal-date-selector.c | 58 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

commit 69db4acf4cc24ba6e512200ada835ea3afb1e2fc
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 11:47:08 2014 -0200

    date-selector: limit number of digits of entries

 src/gcal-date-selector.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 55c06817633b1e6434430cad2f7a2bd38ea2ef0c
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 11:26:12 2014 -0200

    date-selector: setup date entries' text
    
    They still are useless.

 src/gcal-date-selector.c | 64 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 63 insertions(+), 1 deletion(-)

commit b386be95d660f77821173e71cd38bee46118dc6a
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 11:14:45 2014 -0200

    date-selector: ajust entries' names

 data/ui/date-selector.ui | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8521e5b0f14df71e5e76d45c61a9f858bb1c4fd9
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Dec 21 11:03:46 2014 -0200

    date-selector: shows parsed date at the date's label
    
    Also, GcalDateSelector do it's best to find out day, month and year relative positions at the date mask.

 src/gcal-date-selector.c | 80 ++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 64 insertions(+), 16 deletions(-)

commit a518c4e046c7c914c49a23ae1431a26947e0dded
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Dec 20 22:16:06 2014 -0200

    date-selector: set calendar's date

 src/gcal-date-selector.c | 44 ++++++++++++++++++++++++++++++++++++--------
 1 file changed, 36 insertions(+), 8 deletions(-)

commit 714fb4ec6b8b059390fff10336181be9b96c2e2c
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Dec 18 20:13:37 2014 -0200

    date-selector: set max width for date entries
    
    Fixes those giant horrible entries that were being cutted off of the dialog.

 data/ui/date-selector.ui | 4 ++++
 1 file changed, 4 insertions(+)

commit 63e473476b4bb5565780efc9d473d76f8d5918ee
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Dec 18 15:31:43 2014 -0200

    edit-dialog: fixed wrong setting of date selector sensitivity

 src/gcal-edit-dialog.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 2be9c125dd31471710f018931ab7bd2865f3c07e
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Dec 18 15:24:44 2014 -0200

    date-selector: load popover with date selector

 data/ui/date-selector.ui | 41 +++++++++++++++++++-----------
 src/gcal-date-selector.c | 66 ++++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 82 insertions(+), 25 deletions(-)

commit 40683e5e104b63f0d7fde062b76ea7dbc17169c6
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Dec 18 14:20:20 2014 -0200

    date-selector: initial implementetation
    
    No functionality is ready, only project settings and class type.

 data/Makefile.am            |   1 +
 data/calendar.gresource.xml |   1 +
 data/theme/gtk-styles.css   |   8 +
 data/ui/date-selector.ui    |  74 ++++++++
 data/ui/edit-dialog.ui      |   4 +-
 src/Makefile.am             |   4 +-
 src/gcal-date-entry.c       | 439 --------------------------------------------
 src/gcal-date-entry.h       |  72 --------
 src/gcal-date-selector.c    | 156 ++++++++++++++++
 src/gcal-date-selector.h    |  69 +++++++
 src/gcal-edit-dialog.c      |  52 +++---
 11 files changed, 340 insertions(+), 540 deletions(-)

commit 6bea205cfdefff8cd0d541009af78f66519c0831
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Tue Dec 23 16:40:06 2014 +0000

    Updated Hungarian translation

 po/hu.po | 43 +++++++++++++++++++++++++++----------------
 1 file changed, 27 insertions(+), 16 deletions(-)

commit 64a00b78b563f0d65268c19b17f942e52dec242c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 23:37:40 2014 -0500

    ignore: updated

 .gitignore | 3 +++
 1 file changed, 3 insertions(+)

commit 1b31d419d49ccf860173be79c5599f5b8cd7330a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 23:34:29 2014 -0500

    app:  make DBus-activatable
    
    This commit installs a service file, renames the desktop file
    to follow the bus name, and adds the DBusActivatable key to the
    desktop file, following
    https://wiki.gnome.org/HowDoI/DBusApplicationLaunching
    
    Updates POTFILE files accordingly

 configure.ac                          |  2 +-
 data/Makefile.am                      | 17 +++++++++++++++--
 data/gnome-calendar.desktop.in.in     | 11 -----------
 data/org.gnome.Calendar.desktop.in.in | 12 ++++++++++++
 po/POTFILES.in                        |  2 +-
 po/POTFILES.skip                      |  2 +-
 6 files changed, 30 insertions(+), 16 deletions(-)

commit 43522b88455a135fb4431c24844d1e7f3259fb50
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 22:50:31 2014 -0500

    build: update GLib required version
    
    g_strv_contains is a new acquisition of Glib, so we need to bump the
    dependency up.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b88c2fd89bc3bdc7d73435e96043ce178dcc823
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 22:08:50 2014 -0500

    build: remove mention to non-existent file
    
    Fix make distcheck

 data/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 1de6a8b87ae81745256257a852b2ab2a42f612c2
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 21:56:38 2014 -0500

    misc: whitespace and code style minor fixes

 src/gcal-manager.c    |  1 -
 src/gcal-month-view.c | 12 +++---------
 2 files changed, 3 insertions(+), 10 deletions(-)

commit 0ff177c1d8ba611b5b8f3bad41c21272425ca9cb
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 21:55:55 2014 -0500

    comments: document utils functions, add FIXME

 src/gcal-event-widget.c | 1 +
 src/gcal-month-view.c   | 1 +
 src/gcal-utils.c        | 9 +++++++++
 3 files changed, 11 insertions(+)

commit 4eabc0223b61511fd067d728153d8582cc570544
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 21:52:35 2014 -0500

    build: remove unneeded code
    
    GObject type system zeroing instance private data, so initialization to
    NULL and FALSE is not needed.
    Misc code styles fixes.

 src/gcal-edit-dialog.c   |  5 -----
 src/gcal-event-widget.c  |  6 ------
 src/gcal-month-view.c    |  1 -
 src/gcal-time-selector.c |  9 +--------
 src/gcal-week-view.c     | 18 +-----------------
 src/gcal-window.c        | 17 -----------------
 src/gcal-year-view.c     |  9 +--------
 7 files changed, 3 insertions(+), 62 deletions(-)

commit 8f8bb2153428d9471118604aac0f870cdbb75b02
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 21:41:14 2014 -0500

    event-widget: use custom class for background colors

 src/gcal-event-widget.c | 30 +++++++++---------------------
 1 file changed, 9 insertions(+), 21 deletions(-)

commit 64f9e45c76691c9c0255705d7dbdeadcf2e69a3c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 21:37:24 2014 -0500

    app: create custom provider for background colors
    
    GcalEventWidgets get its background colors dynamically, so we are
    creating a custom provider with a CSS class per calendar color, and
    later on the proper class will be applied to the widget.

 src/gcal-application.c | 84 ++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 72 insertions(+), 12 deletions(-)

commit 442b26b5eaef597d6ebc26de47ab0c796f0e710c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 14:54:05 2014 -0500

    month-view: properly handle all-day events
    
    Note: when the marking of break events is made, this have to be taken
    into account.

 src/gcal-month-view.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 5a36689e070bc18ae22e510b7ffc580e3e1397e3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 14:52:34 2014 -0500

    event-widget: advertise properly multiday status
    
    When an event is marked all day, the end-date is always one day ahead of
    the true end of the event, and both dates are marked as date. We need to
    take this into account.

 src/gcal-event-widget.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit 748b3f74c0ea800a05c7e2c83b7472f000a302eb
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 14:36:18 2014 -0500

    manager: fix gchar** memory allocation
    
    I had totally forgot you need to end the array with NULL.

 src/gcal-manager.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c00ae959d18b74acf640af083479a5bed687543c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 13:10:25 2014 -0500

    manager: chains ::constructed up

 src/gcal-manager.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3f093c5e13b839545131e74aea07f15269539bf9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 22 10:00:24 2014 -0500

    month-view: fix drawing of overflow indicator
    
    The drawing was happening but the clipping was not including the full
    widget. Queuing a new draw expands the clip to the whole area of the widget.

 src/gcal-month-view.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 45601d39a23bc7fc3402cf1ea0201a3fa182854d
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Dec 22 15:10:20 2014 +0100

    Use d_ngettext() in printf format directly
    
    .. instead of going via an intermediate variable.
    This way, gcc is smart enough to detect that the format string is indeed
    static and not throw a warning.

 src/gcal-month-view.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 2aeae4cd8248dc32a92f87c75dd4bb90e3fd4858
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Dec 18 19:10:24 2014 +0100

    view: Fix compiler warnings

 src/gcal-view.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 073719ef35bd83c708b6f518df5f30430b71dd0b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 23:24:59 2014 -0500

    manager: get all connected sources
    
    Added ::get_sources_connected API to retrieve a list of every source the
    application has connected, no matter whether they are enabled or not.
    Use ::get_sources_connected on calendars menu in GcalWindow to enable
    disabled sources.

 src/gcal-manager.c | 20 ++++++++++++++++++--
 src/gcal-manager.h |  2 ++
 src/gcal-window.c  |  2 +-
 3 files changed, 21 insertions(+), 3 deletions(-)

commit 761475e47be41df5ce7cd477498d15d20dd102af
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 23:13:04 2014 -0500

    build: remove unusued code
    
    Since we don't build treeview anymore using cell renderer, this code is
    not needed.

 src/Makefile.am             |   2 -
 src/e-cell-renderer-color.c | 241 --------------------------------------------
 src/e-cell-renderer-color.h |  73 --------------
 src/gcal-window.c           |   2 -
 4 files changed, 318 deletions(-)

commit 6081b9547c9506f2d61947a77dd6581389b278c6
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 23:01:12 2014 -0500

    manager: emit ::source-activated on enabled sources
    
    The ::source-activated signal has no much sense right now, I'm leaving
    it around, for a while, in case some use case pop up. Otherwise in time,
    it will go.

 src/gcal-manager.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit bfeef45983e872baafac5fc0898c9e3eaafcb700
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 16:54:02 2014 -0500

    manager: make ::get_sources retrieve only enabled sources

 src/gcal-manager.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit f0d35f60fbd3f0538584b4be9fe4b2724fef8f48
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 14:49:05 2014 -0500

    Revert "edit-dialog: update sources when their readonly state changes"
    
    This reverts commit 31fa4e8e06e9a2b74d9e73f842dd9ca07a1aafbd.

 src/gcal-edit-dialog.c | 68 +++++++++++---------------------------------------
 1 file changed, 14 insertions(+), 54 deletions(-)

commit c4de15eeef2908318a3b2e3bdb6e26736c29fa4c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 13:55:43 2014 -0500

    window: unmark disabled sources checkbox
    
    Calendars selector menu needs to know which source is enable to properly
    mark the checkbox

 src/gcal-manager.c | 5 +++--
 src/gcal-manager.h | 2 +-
 src/gcal-window.c  | 4 +++-
 3 files changed, 7 insertions(+), 4 deletions(-)

commit 5a00fddfb38edc981c18f72c19911ef635d09edd
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 13:08:12 2014 -0500

    manager: use "disabled-sources" settings

 src/gcal-manager.c | 58 ++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 50 insertions(+), 8 deletions(-)

commit 9af65c8f1fbcc6d7235fdd33dc553fe71b4008db
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 13:06:47 2014 -0500

    manager: hold a reference of the application's settings
    
    We need to keep on the settings the list of the disabled sources
    Moved code from ::init vfunc to ::constructed vfunc in order to wait for
    construction properties to be set

 src/gcal-application.c |   2 +-
 src/gcal-manager.c     | 131 ++++++++++++++++++++++++++++++++++++++-----------
 src/gcal-manager.h     |   2 +-
 3 files changed, 103 insertions(+), 32 deletions(-)

commit c28e345b5bfa3c2614b938418ad729743a64d8fc
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 13:04:56 2014 -0500

    app: settings gained "disabled-sources" key
    
    This key will keep a list of the uid of the sources marked as disabled
    in the interface in order to keep the same state between runs of the application

 data/org.gnome.calendar.gschema.xml.in | 6 ++++++
 1 file changed, 6 insertions(+)

commit a08a0a66c1c451112e6a23810de202f9e5274981
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 11:28:12 2014 -0500

    event-widget: remove unused CSS tag name
    
    Since Gtk+ parses automatically widgets' name, there's no need of custom class

 data/theme/gtk-styles.css | 12 ++++++------
 src/gcal-event-widget.c   |  4 ----
 2 files changed, 6 insertions(+), 10 deletions(-)

commit e2d4e52ec703892e5c3a479329b751751e1efb3f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 00:56:24 2014 -0500

    month-view: monitor click only on overflow indicator

 src/gcal-month-view.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 83bd285f3d1953bb597a013594ac1017f5619fbe
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 00:24:35 2014 -0500

    window: use GcalView::create-event-detailed signal

 src/gcal-window.c | 45 ++++++++++++++++++++++++++++++++++++---------
 1 file changed, 36 insertions(+), 9 deletions(-)

commit c97473e955e2529941f7781a647d56c9f68bf0ec
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 00:20:54 2014 -0500

    month-view: emit ::create-event-detailed
    
    Emit this signal from the "Add new event..." button of overflow popover,
    the reason is mainly aesthetics since it won't look good showing one
    popover after another.

 src/gcal-month-view.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 09f42ad9557fd8affda5eebc363478bdd08977fd
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 21 00:17:33 2014 -0500

    gcal-view: signal the opening of edit-dialog directly

 src/gcal-view.c | 5 +++++
 src/gcal-view.h | 1 +
 2 files changed, 6 insertions(+)

commit 0749520a3574d8f6c658b8295e5df03d25cedd0b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Dec 20 23:55:21 2014 -0500

    edit-dialog: don't open with summary entry empty

 src/gcal-edit-dialog.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 56f7f88572d3720c671ea2bea2930eba7b9b7fff
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Dec 20 19:51:50 2014 -0500

    month-view: fix insert ordered widgets
    
    The head of the list might changed when ordering the list at insertion,
    then, some events was getting lost

 src/gcal-month-view.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 829d6762cd98090df906e9d80cdc809edefc520a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Dec 21 20:11:06 2014 +0100

    Updated Polish translation

 po/pl.po | 69 ++++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 48 insertions(+), 21 deletions(-)

commit 6f672c682a0a30a7cf3e7d9c4788a42a0b0fc3c6
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sat Dec 20 16:59:19 2014 +0000

    Updated Hungarian translation

 po/hu.po | 29 +++++++++++++++++++----------
 1 file changed, 19 insertions(+), 10 deletions(-)

commit 4bef6148f996102a459d7414a22cfcc624cec2db
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 22:09:42 2014 -0500

    month-view: sort single-day event widgets by start date
    
    This guarantee that events widgets appear sorted by its start date on
    the overflow popover

 src/gcal-month-view.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 420e66bdb1bb9d3c413caa136d0f990c9911b0ca
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 22:08:34 2014 -0500

    event-widget: add ::compare_by_start_date
    
    This function will eventually deprecate gcal_compare_event_widget_by_date()

 src/gcal-event-widget.c | 13 +++++++++++++
 src/gcal-event-widget.h |  3 +++
 2 files changed, 16 insertions(+)

commit f9627fcf983033b6d02fc5e0ff3a8f46e209df30
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 21:48:46 2014 -0500

    month-view: show start time header on overflow popover

 src/gcal-month-view.c | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

commit 9badd9f50222d3df9e7531939ce795a1540074b7
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 21:47:26 2014 -0500

    month-view: read 12/24 time format setting
    
    The setting will be used when showing the start time of events in the
    overflow popover.

 src/gcal-month-view.c | 22 ++++++++++++++++++++++
 src/gcal-month-view.h |  3 +++
 src/gcal-window.c     | 12 ++++--------
 3 files changed, 29 insertions(+), 8 deletions(-)

commit 5051ba600fd4e5bf2e4947b44aa4aa21d13e69ae
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 18:31:17 2014 -0500

    month-view: draw a background on the overflow indicator
    
    This code suffer from a similar bug to ::queue_area on
    ::size_allocate. This need some revisiting to make it work properly.

 data/theme/gtk-styles.css | 10 +++++
 src/gcal-month-view.c     | 96 +++++++++++++++++++++++++----------------------
 2 files changed, 62 insertions(+), 44 deletions(-)

commit 7a00364efb94a93c2419cb6b8a8387114fb998c5
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 18:29:37 2014 -0500

    month-view: preserve hovered cell on popover show
    
    The hovered cell is the indicator to draw the background and the
    coloring of the overflow indicator. Preserve its value as long as the
    overflow is shown.

 src/gcal-month-view.c | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit d63d23bc16cfbbeefd66dfc1661f0f4b7e412a40
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 18:28:49 2014 -0500

    month-view: add title to overflow popover

 src/gcal-month-view.c | 31 ++++++++++++++++++++++++++++---
 1 file changed, 28 insertions(+), 3 deletions(-)

commit 96a939ab483b53423e52a5af144d81ede2ce4340
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 14:31:44 2014 -0500

    month-view: update note about Gtk+ clipping bug

 src/gcal-month-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd62b96a75f86f19e6a58eddf4315addbecba091
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 14:31:16 2014 -0500

    month-view: FIXME removed, feature added

 src/gcal-month-view.c | 1 -
 1 file changed, 1 deletion(-)

commit ca2072695930bf43773e3d3e33aaaa3e9c3600ca
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 14:30:46 2014 -0500

    month-view: fix popover placement on RTL locales

 src/gcal-month-view.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 046dac4fe9e24434607c60c4c5af0d4b38e1d5d9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 13:50:08 2014 -0500

    month-view: highlight overflow indicator on hover

 src/gcal-month-view.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 07b4ee486237a25e398b8f49e2e890b73aca9213
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 13:49:24 2014 -0500

    month-view: initial impl of overflow popover

 src/gcal-month-view.c | 104 ++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 101 insertions(+), 3 deletions(-)

commit e5f507b95a9e5ceabf096633a49271af751f92fa
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 13:35:49 2014 -0500

    month-view: track events on overflow indicator area
    
    We keep to state variables to handle hovering and clicking on the
    indicator.
    Note: This commit does not build because requires of upcoming work

 src/gcal-month-view.c | 162 ++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 117 insertions(+), 45 deletions(-)

commit 9bfa04810117d5dc8a9fad4107805235abc67ce7
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 13:31:32 2014 -0500

    month-view: add proper count of overflowed events
    
    Keep a list of the hidden events per cell in order to add them later to
    the popover

 src/gcal-month-view.c | 46 +++++++++++++++++++++++++++++++++++-----------
 1 file changed, 35 insertions(+), 11 deletions(-)

commit 56788946fadbc4f222adf699be16e61575548d9f
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sat Dec 20 11:51:58 2014 +0000

    Updated Hungarian translation

 po/hu.po | 86 +++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 55 insertions(+), 31 deletions(-)

commit f4e782fd072f4f55342b6b82c67fd879fe449912
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Dec 19 19:00:02 2014 +0100

    Updated POTFILES.in

 po/POTFILES.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 06e43d836fd521f2b842c1233f704b4b7dc091a4
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 19 10:40:39 2014 -0500

    month-view: amend fix ::forall impl

 src/gcal-month-view.c | 2 --
 1 file changed, 2 deletions(-)

commit 2c639d2d0058b8f788172c56e586e833e253d689
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 22:21:18 2014 -0500

    month-view: queue draw on size_allocate
    
    It should not be necessary to queue a draw operation after
    ::size_allocate. This has been discussed over with Gtk+ devs, as soon as
    the bug is fixed these statements will goes away.

 src/gcal-month-view.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 780bebf8719fbb154e79d7499c565746784beac7
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 19:58:13 2014 -0500

    month-view: optimize text direction query
    
    By keeping the value of the direction factor k around we save code and
    function calling every time we need to use it.

 src/gcal-month-view.c | 150 +++++++++++++++++++-------------------------------
 1 file changed, 57 insertions(+), 93 deletions(-)

commit 232b93095d71b00ffddf36207043620bf135b8d3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 19:25:23 2014 -0500

    month-view: fix ::forall and ::remove impl
    
    Take care of removing parts-widgets first whenever a master widgets is removed

 src/gcal-month-view.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 5b4e7d470dc556faac4b09b6a1968f32c5917b54
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 15:43:13 2014 -0500

    month-view: implement GcalView::get_by_uuid

 src/gcal-month-view.c | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit 170501bbddc859150eb0c79d49b0d1eb160476c3
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 14:50:29 2014 -0500

    month-view: add helper method

 src/gcal-month-view.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit ceabae5e2cf904b8b2f20dd12d818272df23b15c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 14:44:05 2014 -0500

    month-view: rework handling of widget's hiding
    
    Previously, we were hoping keeping a list of the widgets hidden by the
    application, but the implementation did not work.
    Now we keep a hash of those widgets hidden because of the overflow, when
    a widget is not visible, and it's not in GcalMonthView::hidden_as_overflow
    hash, then was hidden by the application.

 src/gcal-month-view.c | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit a2a2a9c8d5aafb0a4a7e3e56b5ffa2eb7e99d996
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Dec 18 11:23:42 2014 -0200

    time-selector: removed unneeded code

 src/gcal-time-selector.c | 2 --
 1 file changed, 2 deletions(-)

commit fa7bc69192d061a9b279c73660b80979738942d5
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Dec 18 11:21:40 2014 -0200

    edit-dialog: properly set time selector's sensivity
    
    Instead of simply not settings them at all, it is now set according to the writable and all day values.

 src/gcal-edit-dialog.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 448594325e29a590585034c4b43d4051bfd082a0
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 19:39:11 2014 -0200

    edit-dialog: remove useless code
    
    I'm not really sure of this one, but it seems very correct. At least, things work now.

 src/gcal-edit-dialog.c | 2 --
 1 file changed, 2 deletions(-)

commit 7f1277062ea5911b3fc280ec95f2c4644a6fbbcc
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 16:32:14 2014 -0200

    time-selector: send GcalTimeSelector::modified signal when date changes

 src/gcal-time-selector.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 1c76779143012df0b445cdfab558f93ac90e8fa2
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 16:28:26 2014 -0200

    time-selector: update label when hour or minute changes

 src/gcal-time-selector.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 78140e7b7906673576fe9440807ccaeb5bf639c7
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 16:23:29 2014 -0200

    time-selector: always show the popover at the bottom

 src/gcal-time-selector.c | 1 +
 1 file changed, 1 insertion(+)

commit ff15bd3a056796483ff092bfa01a58587269abe9
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 16:14:21 2014 -0200

    time-selector: format time label when the day period changes
    
    Also, factor out date formatting code.

 src/gcal-time-selector.c | 67 ++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 57 insertions(+), 10 deletions(-)

commit ee62cdab925d47a2421c4efea8d71e8a6cf2b419
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 15:55:04 2014 -0200

    time-selector: format hour according to the 12/24h setting

 src/gcal-time-selector.c | 43 ++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 38 insertions(+), 5 deletions(-)

commit 5c570e0140b069d442e53c722bfb1e3f2d1bae1c
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 15:39:49 2014 -0200

    time-selector: select AM by default

 data/ui/time-selector.ui | 1 +
 1 file changed, 1 insertion(+)

commit de04c78cc0cddcda44bd40660cebd3de7815df36
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 15:29:21 2014 -0200

    time-selector: limit to 11 hours when using 12h format

 src/gcal-time-selector.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 37a38b6acb639b0131740916fdc307a371eff51b
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 14:03:48 2014 -0200

    time-select: hide period selector when not 12h format

 data/ui/time-selector.ui | 8 ++++++--
 src/gcal-time-selector.c | 1 +
 2 files changed, 7 insertions(+), 2 deletions(-)

commit c6ada8c356f3d306e10fec96626152f9444e53a4
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 13:37:23 2014 -0200

    time-selector: ref builder objects before destroying it
    
    Fixes the annoying bug

 src/gcal-time-selector.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 9372b3ff3f502c43247cb026cfe1b04480c65031
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 12:35:07 2014 -0200

    time-selector: removed unused var

 src/gcal-time-selector.c | 3 ---
 1 file changed, 3 deletions(-)

commit 33d101062d370c29c224edf3cb6a6aa21037a0bf
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Wed Dec 17 09:24:58 2014 -0200

    time-selector: implemented time selection with spin buttons

 data/Makefile.am            |   1 +
 data/calendar.gresource.xml |   1 +
 data/ui/edit-dialog.ui      |   4 +-
 data/ui/time-selector.ui    |  69 ++++++++
 src/Makefile.am             |   4 +-
 src/gcal-edit-dialog.c      |  56 +++---
 src/gcal-time-entry.c       | 407 --------------------------------------------
 src/gcal-time-entry.h       |  68 --------
 src/gcal-time-selector.c    | 211 +++++++++++++++++++++++
 src/gcal-time-selector.h    |  68 ++++++++
 10 files changed, 382 insertions(+), 507 deletions(-)

commit 1f9b380238c983957bdfa7a1bea7e300086c85ee
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 01:54:24 2014 -0500

    month-view: overflow indicator drawn centered

 src/gcal-month-view.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit fbeb6d35b243b9173532ff8bcec59dd8566b3f10
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 01:23:46 2014 -0500

    month-view: initial implementation of size alloc
    
    This implements breaking of events, and showing of its parts. It also
    provides the information need for the drawing of the overflow indicator.
    This implementation brings support to RTL locales as well as LTR.
    
    There's some things still missing here:
    1. Mark the widgets with CSS classes for styling its broken status
    2. Draw properly the overflow indicator

 src/gcal-month-view.c | 262 +++++++++++++++++++++++++++++++++++---------------
 1 file changed, 185 insertions(+), 77 deletions(-)

commit 7f7739db6d9b4b386d9b3f21112669c4eaddba0d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 01:11:17 2014 -0500

    month-view: add helper for hidden event-widgets
    
    When an event is deleted we hide it while the notification with the Undo
    option is shown and after a while the event is actually destroyed. This
    helper is meant for keeping a set of the event-widgets hidden in that situation

 src/gcal-month-view.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 87856ec31ce454176b5f6c0f83f993dbf900c123
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 01:09:52 2014 -0500

    month-view: initial drawing of overflow indicator
    
    Added FIXME for properly wording the message

 src/gcal-month-view.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit 4c7626cad2a020f5ccb5e3ae261339b74944c3c0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 01:03:45 2014 -0500

    month-view: fix ::add, ::remove, ::forall vfuncs
    
    Fixed some bugs:
    1. Insert single-day event-widgets on the proper structure
    (GcalMonthView::single_day_children)
    2. Add FIXME for keep single-day events-widgets ordered
    3. Properly handle hash table replacement. GHashTable::replace call
    key_destroy_func() and value_destroy_func() if those are provided
    4. Don't keep NULL lists on any of the hashes kept by GcalMonthView
    5. Change the order in which forall is executed. Don't modify the hashes
    while iterating over it.

 src/gcal-month-view.c | 51 +++++++++++++++++++++++++++++----------------------
 1 file changed, 29 insertions(+), 22 deletions(-)

commit 9c29618fb6152cda6af5bcb4f7604ea0ba17f481
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 00:59:58 2014 -0500

    month-view: helper to calculate the split of widgets
    
    This calculates the split according to the space left on each cell

 src/gcal-month-view.c | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit 51c7e5e2eacc9e7e129802da4eafc05fa3fdaae8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 18 00:56:46 2014 -0500

    event-widget: add convenient API to query dates
    
    Simply it is faster not to allocate memory when there is no need of it

 src/gcal-event-widget.c | 34 ++++++++++++++++++++++++++++++++++
 src/gcal-event-widget.h |  4 ++++
 2 files changed, 38 insertions(+)

commit f5a08f24bb00ec274e6fdea817bde8f642b29207
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Dec 13 16:17:04 2014 -0500

    month-view: rework internals data structures
    
    Changed internals data structures in order to handle allocation of
    multidays events properly.
    Modified GtkContainer::add, GtkContainer::remove and
    GtkContainer::forall according to this new internal structure.
    Commented out GcalView::get_by_uuid since it might get deprecated.

 src/gcal-month-view.c | 194 ++++++++++++++++++++++++++++----------------------
 1 file changed, 107 insertions(+), 87 deletions(-)

commit 719a294fae35daaac5c95596775e4eb28e87becc
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Dec 13 16:13:03 2014 -0500

    event-widget: add helper API
    
    Added GcalEventWidget::is_multiday to check if an event span more than
    one day.
    Added GcalEventWidget::compare_by_length which compares two event
    widgets according to the duration of the events they represent.

 src/gcal-event-widget.c | 45 +++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-event-widget.h |  5 +++++
 2 files changed, 50 insertions(+)

commit d1a7c6ee2433e8fd5e40cb28ab77fa575a03941f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 12 23:26:54 2014 -0500

    month-view: fix sigsegv if end_date is not created

 src/gcal-month-view.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 52a4e617b586e7bde7aa71fda4b0c2af517be2e9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 12 23:26:12 2014 -0500

    month-view: draw selected days marks

 src/gcal-month-view.c | 84 +++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 78 insertions(+), 6 deletions(-)

commit 70d69ac966db8927f5641ea3e0e76877444d9def
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 12 23:06:18 2014 -0500

    month-view: organize, clean code

 src/gcal-month-view.c | 71 ++++++++++++++++++++++++---------------------------
 1 file changed, 34 insertions(+), 37 deletions(-)

commit 268ef174840b52a8a79670164052a5f9d5d7166c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 12 22:56:28 2014 -0500

    month-view: updated press/release/motions handlers
    
    Now internal values of button press, motion and releases are kept
    according the cell numbers alone, as explained in the comments.

 src/gcal-month-view.c | 235 +++++++++++++++++++++++++++-----------------------
 1 file changed, 127 insertions(+), 108 deletions(-)

commit aaee4a26570b98642a9dca528928594b0b5fae31
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 10 11:52:26 2014 -0500

    month-view: initial work to new mockup from Lapo
    
    There's a bunch of stuff missing here, but this code is already working.
    This includes only part of the drawing code, I already take into account
    here LTR and RTL languages.
    Here month-view make use of classes for styling different regions of the
    grid, there are:
    1. header class, which is used for the font and color details of the
    days naming on the top of the grid
    2. current class, which is used for drawing the current day number and
    its background
    3. lines class: which set the color property of the lines in the grid
    4. :selected pseudo-class is used for drawing the font on the days
    marked when creating an event. This will work as well for keyboard
    navigation
    
    What's missing here:
    1. properly update click/press marks to new model
    2. draw border around the selected days

 data/theme/gtk-styles.css |  17 ++-
 src/gcal-month-view.c     | 256 +++++++++++++++++++++-------------------------
 2 files changed, 129 insertions(+), 144 deletions(-)

commit 60946551b3b69bd4ac9e00ebb0d3b97fefedfc75
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 10 11:44:59 2014 -0500

    event-widget: add ::clone API

 src/gcal-event-widget.c | 25 +++++++++++++++++++++++++
 src/gcal-event-widget.h |  4 ++++
 2 files changed, 29 insertions(+)

commit cb7d45e184869aa3111cacae99dbc5d537298eb6
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 16 13:05:11 2014 -0200

    manager: change signal name to ::'source-activated'

 src/gcal-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75143200cb9b5bd235cef14c8d0945d8372bb82e
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 16 13:01:29 2014 -0200

    manager: change signal name to ::'source-activated'

 src/gcal-edit-dialog.c | 2 +-
 src/gcal-manager.c     | 8 ++++----
 src/gcal-manager.h     | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 09262e875e9dbd2cd4ece94154d2eafe16c80c06
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 16 12:47:37 2014 -0200

    window: remove faulty g_free()
    
    Freeing uid variant results in bloody segfaults.

 src/gcal-window.c | 4 ----
 1 file changed, 4 deletions(-)

commit 37241a189b70dd8f6b35dffed7200a10c8d23fed
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 16 12:35:47 2014 -0200

    window: implement ability to show/hide calendars
    
    This is a major feature of the preview roadmap.
    
    Right now, it only shows/hides calendars, and the ability to create, delete, et al, them is to be designed.

 src/gcal-window.c | 163 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 163 insertions(+)

commit 31fa4e8e06e9a2b74d9e73f842dd9ca07a1aafbd
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 16 11:19:56 2014 -0200

    edit-dialog: update sources when their readonly state changes
    
    This fixes the annoying all-insensitive-menu bug.

 src/gcal-edit-dialog.c | 68 +++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 54 insertions(+), 14 deletions(-)

commit 96e0055fcbb70be8457b646d891d0b27d482ad69
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 16 11:16:10 2014 -0200

    manager: added missing signal signature

 src/gcal-manager.h | 1 +
 1 file changed, 1 insertion(+)

commit ffac8223c1b0549d41073e09807df37710e86111
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 16 11:14:46 2014 -0200

    window: added calendar button

 data/ui/window.ui | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 0cefc9f5eaf64ebf1c0d9937c38705579a901b09
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Dec 15 15:58:59 2014 -0200

    manager: implemented GcalManager::source-added and GcalManager::source-removed signals

 src/gcal-manager.c | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-manager.h |  4 ++++
 2 files changed, 54 insertions(+)

commit 069ea90d576f51be526cdcc547aed69c6ffedacf
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 15 13:34:53 2014 -0500

    manager: implement ::enable/disable methods

 src/gcal-manager.c | 22 ++++++++++++++++++----
 1 file changed, 18 insertions(+), 4 deletions(-)

commit 9e429225433d752afa21a2edefc89f1134a22c7a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 15 13:33:10 2014 -0500

    manager: Keep references of the clients internally
    
    In order to remove clients from the ECalDataModel without destroying we
    need to keep a reference to it.

 src/gcal-manager.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit e53e514a7e3138d47147bbdc6fbf552b001cf5fe
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Dec 15 15:34:58 2014 -0200

    manager: stub functions for enabling/disabling sources

 src/gcal-manager.c | 30 ++++++++++++++++++++++++++++++
 src/gcal-manager.h |  6 ++++++
 2 files changed, 36 insertions(+)

commit 25cbc8627d526e67e45b85f8bed175f6080b84fe
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Dec 14 12:55:16 2014 +0100

    Updated Polish translation

 po/pl.po | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit 2a6b9a31ce7608b95edf10e7fb8dad32540c1b6e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 10 01:21:19 2014 -0500

    app: fix sigsegv when not getting a date from cli

 src/gcal-application.c | 1 +
 1 file changed, 1 insertion(+)

commit e2a2721e9e85d3ed6b26ac0e07569aebda69ba0d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 9 15:37:02 2014 -0500

    window: add safety check

 src/gcal-window.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit 83345b2fb468a129281c4ee48239c97698696d38
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 9 15:36:01 2014 -0500

    app: gained --date option
    
    GcalWindow loads the date from GcalApplication.

 src/gcal-application.c | 54 +++++++++++++++++++++++++++++++++++++++++---------
 src/gcal-window.c      | 20 +++++--------------
 src/gcal-window.h      |  5 +++--
 3 files changed, 53 insertions(+), 26 deletions(-)

commit 738bb89d94fc789293ce625e520c1ceefe822fbf
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 8 12:26:51 2014 -0500

    edit-dialog: fix memory leaks

 src/gcal-edit-dialog.c | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit f8c269ac745cf8464512bb32da1ca8317ee381dd
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Dec 8 14:45:32 2014 -0200

    edit-dialog: fixed wrong menu fill
    
    Menu is created each time the dialog is shown, now. This avoids the syncronization between sources loading time.
    
    Also, icon color is now 16px.

 src/gcal-edit-dialog.c | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit e58959d851e2fa1f0c5bcf49ce66631c203e15c0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 8 11:33:44 2014 -0500

    e-cal-data-model: fix event with no end-date
    
    Google Calendar set no end-date on events with 0 sec duration time. We
    need to make the corner case work.

 src/e-cal-data-model.c | 2 ++
 1 file changed, 2 insertions(+)

commit 98e4b44a7d8de667a6531a5a3c4e087ec06010e2
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Dec 8 11:17:53 2014 -0500

    manager: defer adding client to the internal hash
    
    Wait until the client is opened and connected to add it to the internal
    hash, so GcalManager::get_sources work properly.

 src/gcal-manager.c | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit e62f48bfeac9992f00476df978e6e5ed2c2cd2aa
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sun Dec 7 15:23:27 2014 -0500

    events: fix handling of event with no end date
    
    Fix the sigsegv in edit-dialog and event-widgets when there's no
    end-date set.
    Set a guard in Utils::gcal_dup_icaltime function.
    There's still some problems with the events showing the first time but
    not anymore.
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=736002

 src/gcal-edit-dialog.c  | 44 ++++++++++++++++++++++----------------------
 src/gcal-event-widget.c | 28 ++++++++++++++++------------
 src/gcal-utils.c        |  3 +++
 3 files changed, 41 insertions(+), 34 deletions(-)

commit e3976bdb80053907875e6cf9ad5e985b29a5cc2d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Dec 7 19:24:10 2014 +0100

    Updated Polish translation

 po/pl.po | 284 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 106 insertions(+), 178 deletions(-)

commit fab76b0bd4c13c577f612079515827228d2db46e
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Dec 7 11:41:24 2014 +0000

    Updated Hungarian translation

 po/hu.po | 340 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 166 insertions(+), 174 deletions(-)

commit b5ff5437f62d1987fb70031d21eabc931669a1eb
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 5 22:40:15 2014 -0500

    manager: removed unneeded code, and comments

 src/gcal-manager.c | 12 ------------
 1 file changed, 12 deletions(-)

commit db71a1c1f6b631c856802d3a33791061d46fac57
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 5 22:30:10 2014 -0500

    window: adjust new-event popover position

 src/gcal-window.c | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 314f60e040a7f37035e9d8c1834d95048007104d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 5 16:20:57 2014 -0500

    about: praise our artists properly
    
    Add jimmac to artists list

 src/gcal-application.c | 1 +
 1 file changed, 1 insertion(+)

commit fe7b1d942e6b2d70cdbcd672d402eb449607f403
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Dec 5 16:20:16 2014 -0500

    app: use new icon

 data/gnome-calendar.desktop.in.in | 2 +-
 src/gcal-application.c            | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 26f85f9f8f523e76e0c9811f5ac2dd48649f0adf
Author: Jakub Steiner <jimmac@gmail.com>
Date:   Fri Dec 5 18:00:17 2014 +0100

    include app icon
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741032

 configure.ac                                       |    1 +
 data/Makefile.am                                   |    2 +
 data/icons/Makefile.am                             |   67 ++
 data/icons/gnome-calendar.blend                    |  Bin 0 -> 2203840 bytes
 data/icons/gnome-calendar.svg                      | 1265 ++++++++++++++++++++
 data/icons/hicolor_apps_16x16_gnome-calendar.png   |  Bin 0 -> 769 bytes
 data/icons/hicolor_apps_22x22_gnome-calendar.png   |  Bin 0 -> 1168 bytes
 data/icons/hicolor_apps_24x24_gnome-calendar.png   |  Bin 0 -> 1260 bytes
 data/icons/hicolor_apps_256x256_gnome-calendar.png |  Bin 0 -> 50400 bytes
 data/icons/hicolor_apps_32x32_gnome-calendar.png   |  Bin 0 -> 1834 bytes
 data/icons/hicolor_apps_48x48_gnome-calendar.png   |  Bin 0 -> 3557 bytes
 data/icons/hicolor_apps_512x512_gnome-calendar.png |  Bin 0 -> 197273 bytes
 12 files changed, 1335 insertions(+)

commit 20575b928f9395f8fceb3890d1ccc92918811227
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Dec 5 17:22:03 2014 -0200

    edit-dialog: update source color on selection

 src/gcal-edit-dialog.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit dd17c451679909b4461a6b9a68132106eeda058b
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Dec 5 16:06:51 2014 -0200

    edit-dialog: enable selecting source at event creation
    
    When creating a new event, the user should be able to select in which source it'll be created in. This commit implements that.
    
    Moving an event to another source, however, is not allowed at the moment.

 src/gcal-edit-dialog.c | 126 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 126 insertions(+)

commit 9364cab3de77d63d2f2d8500c79500da33bc9b7f
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Dec 5 14:37:26 2014 -0200

    edit-dialog: change source image to button
    
    This is a stub button for the sources. Implementation of it will come soon.

 data/ui/edit-dialog.ui | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 2853e9a3b202f2a7dfe2f5bc327148ef74e8811d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 23:51:05 2014 -0500

    about: add Lapo to the design/art team

 src/gcal-application.c | 1 +
 1 file changed, 1 insertion(+)

commit da19ffd6abadf3e0738c50d2a72b6bda39aa6960
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 23:40:19 2014 -0500

    window: create edit-dialog at construct time
    
    This isn't as dynamical as one was, so create it at construction will
    work just fine, and we have the 'if's.

 src/gcal-window.c | 33 +++++++--------------------------
 1 file changed, 7 insertions(+), 26 deletions(-)

commit 532a4de02eaed91187a338fcc8e86150b4ed85b8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 23:29:39 2014 -0500

    event-widget: fixed typo on method name

 src/gcal-event-widget.c | 4 ++--
 src/gcal-event-widget.h | 2 +-
 src/gcal-search-view.c  | 4 +---
 src/gcal-subscriber.c   | 4 +---
 4 files changed, 5 insertions(+), 9 deletions(-)

commit 9188d37e53f18e133d155e02ff641aed75ab6681
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 22:52:44 2014 -0500

    manager: removed EVENT_CREATED signal
    
    Since we are opening edit-dialog on event creation directly, we don't
    need this notification anymore.

 src/gcal-manager.c | 29 +----------------------------
 src/gcal-manager.h |  4 ----
 src/gcal-window.c  | 41 +----------------------------------------
 3 files changed, 2 insertions(+), 72 deletions(-)

commit e9eca7c86d677535e00ab922dfc6317fbeb8a807
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Dec 5 10:39:09 2014 -0200

    window: reset title after search

 src/gcal-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 23e4f8132a2ea62f584809c2423f817e84119c47
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Dec 5 10:30:57 2014 +0200

    Updated Hebrew Translation

 po/he.po | 85 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 76 insertions(+), 9 deletions(-)

commit 86578d5fc8786a38b1bda9896fe25e0f37b60b18
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Dec 5 10:30:37 2014 +0200

    Don't translate unneeded string

 data/ui/window.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 14ad4eaeb8674f9cdabdb60adb67f690ce2b14ae
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Dec 5 10:30:18 2014 +0200

    Use the unicode character '…' instead of '...'

 data/ui/menus.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08c4060a1d576004963526802599053945625e23
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Dec 5 10:24:54 2014 +0200

    Updated POTFILES.in

 po/POTFILES.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b9af700281eca1a78ec78f720f4d2117de8bf423
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Fri Dec 5 10:19:38 2014 +0200

    Added Hebrew translation

 po/LINGUAS |   1 +
 po/he.po   | 146 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 147 insertions(+)

commit 8f4d6be1bf1b108f6e7233075a3bbfe88628aa38
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Dec 5 00:41:34 2014 -0200

    edit-dialog: hide Delete button when creating a new event
    
    Because we don't want to delete an event that is not created

 src/gcal-edit-dialog.c | 1 +
 src/gcal-window.c      | 3 +++
 2 files changed, 4 insertions(+)

commit 23a7cda5008eb474d4011cd1a7e9a8456b637809
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Dec 5 00:04:01 2014 -0200

    month-view: fixed small position calc issue
    
    When using double for *part* of the calculation of Y position, the result is completely wrong.
    
    This commit fixes it.

 src/gcal-month-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c67da7b24bdd51dc0ef444c1ee86e3e6e115e799
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Dec 5 01:08:12 2014 +0100

    Updated POTFILES.in

 po/POTFILES.in | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 7cd4fd032b775b3988e68bb96c81fbde4a5ea717
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Dec 4 20:57:31 2014 -0200

    window: fixed key handler code
    
    When in GcalWindow::new-event-mode, the key handler cannot redirect input to search bar. This commit fixes it.

 src/gcal-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 1f614948a89275d6a4d9a9293364813a2659c82d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 17:31:00 2014 -0500

    style: HACKING updated

 HACKING | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 1916986f1558d2cf6d61cfec50f7d10f26a2e9cf
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 16:25:59 2014 -0500

    app: active More details button from new event popover
    
    GcalWindow got connected to GcalManager, and pass just created component
    to GcalEditDialog
    GcalEditDialog gained support to handle component not committed to
    manager singleton instance yet.

 src/gcal-edit-dialog.c | 29 +++++++++++++++++++++++++++--
 src/gcal-edit-dialog.h |  4 ++++
 src/gcal-window.c      | 49 ++++++++++++++++++++++++++++++++++++++-----------
 3 files changed, 69 insertions(+), 13 deletions(-)

commit b36a39029231b2711f6f21f631e51da2b90e676e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 16:07:26 2014 -0500

    manager: updated GcalManager::create_event
    
    Move the API to use ECalComponent instead of uids.

 src/gcal-manager.c | 135 +++++++++++++++++++++++++----------------------------
 src/gcal-manager.h |   6 +--
 2 files changed, 65 insertions(+), 76 deletions(-)

commit 78bced937e3088c2105a352f80a930e335d33cf0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 15:41:00 2014 -0500

    utils: add helper method for component construction

 src/gcal-utils.c | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-utils.h |  4 ++++
 2 files changed, 54 insertions(+)

commit 1c277b99b391b1bc9096a9d256cdc7e0d12d970f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 09:48:09 2014 -0500

    window: connect signal to the right object
    
    The ::remove_event handler was not connected to the GtkRevealer so it
    was not executing itself when the notification was closed. That caused
    the application never removed any events. Fixed now.

 data/ui/window.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc941b6a9dffb942e0c12fccdd04ad529b0ea99e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Dec 4 09:36:06 2014 -0500

    edit-dialog: use reccurrence_id of events
    
    When generating the uuid of an event if the event is recurrent, you need
    to take into account its rid.

 src/gcal-edit-dialog.c | 35 +++++++++++++++++++++++++++++++----
 1 file changed, 31 insertions(+), 4 deletions(-)

commit 927233cabb5f6255d846c17262c3437344ab26b2
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 3 16:30:53 2014 -0500

    build: remove GcalNewEventWidget related files

 data/calendar.gresource.xml |   1 -
 data/ui/new-event.ui        | 121 ------------------
 src/Makefile.am             |   2 -
 src/gcal-new-event-widget.c | 301 --------------------------------------------
 src/gcal-new-event-widget.h |  86 -------------
 5 files changed, 511 deletions(-)

commit af3ce14ac2a1aafd15e4d870b4855fdcb18a55f5
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 3 16:23:17 2014 -0500

    app: remove GcalNewEventWidget, use GcalWindow ui
    
    Since there will be no behavior on GcalNewEventWidget we can use simple
    ui from GcalWindow to accomplish this.

 data/ui/window.ui |  71 ++++++++++++++++++++++++++++++-
 src/gcal-window.c | 122 ++++++++++++++++++++++++------------------------------
 2 files changed, 123 insertions(+), 70 deletions(-)

commit 83eb99efba1357850227ad3056f83b979ac178f8
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Dec 3 11:03:54 2014 -0500

    manager: update retrieve sources API
    
    The move to newer API is to drop GtkListStore dependency on the manager.

 src/gcal-manager.c | 53 +++++++++++++++++++++++++++++++----------------------
 src/gcal-manager.h |  8 +++-----
 src/gcal-window.c  | 20 ++++----------------
 3 files changed, 38 insertions(+), 43 deletions(-)

commit 329118079d21275bc826552edf2e4279aa80ae36
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 2 16:30:58 2014 -0500

    manager: update GcalManager::remove_event API
    
    Move GcalManager::remove_event API to new style using ESource and
    ECalComponent instead of uuid
    Update GcalWindow uses of this API

 src/gcal-manager.c | 119 +++++++++++++++++++++++++++--------------------------
 src/gcal-manager.h |   9 ++--
 src/gcal-window.c  |  46 +++++++++++++--------
 3 files changed, 93 insertions(+), 81 deletions(-)

commit 67732884bbd044fc838a3eca33a20686f4be9bab
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 2 16:29:18 2014 -0500

    utils: build an uuid string
    
    Use an ESource and ECalComponent to build an uuid string with the format specified

 src/gcal-utils.c | 37 +++++++++++++++++++++++++++++++++++++
 src/gcal-utils.h |  3 +++
 2 files changed, 40 insertions(+)

commit e0ef2892fdb735e51ece614435e484c4ee34417e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 2 15:49:42 2014 -0500

    window: fixed event removed notification
    
    Moved all this code into ui file.
    Removed public API of GcalWindow. In time, if needed by some other
    object it can be brought back.

 data/ui/window.ui |  82 ++++++++++++++++++
 src/gcal-window.c | 247 +++++++++++++++++++++++-------------------------------
 src/gcal-window.h |   4 -
 3 files changed, 187 insertions(+), 146 deletions(-)

commit 0856345ace079f2974fb48f52a3227f5a1e11fb5
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 2 16:58:42 2014 -0200

    theme: use different style classes for navbar labels

 data/theme/gtk-styles.css | 13 ++++++++++---
 data/ui/nav_bar.ui        |  4 ++--
 2 files changed, 12 insertions(+), 5 deletions(-)

commit 2970729324f2c442c85df918ea67c13152c60a17
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Dec 2 16:26:01 2014 -0200

    window: move arrow buttons to headerbar
    
    This is part of the ongoing efforts to fit Calendar with the latest designs.

 data/ui/nav_bar.ui | 74 ++++----------------------------------------------
 data/ui/window.ui  | 79 +++++++++++++++++++++++++++++++++++++++++++++---------
 src/gcal-nav-bar.c | 20 --------------
 src/gcal-nav-bar.h |  4 ---
 src/gcal-window.c  | 11 ++++----
 5 files changed, 77 insertions(+), 111 deletions(-)

commit 52fc61a1a568abef95a219f796b661c792b75fda
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Dec 2 12:50:56 2014 -0500

    window: set view visible before show it
    
    Since the move into using GtkBuilder's files the views aren't show
    automatically. That's why the setting of the view initially was failing.
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=741003

 src/gcal-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 3fdadffe081ec0ffe89335ba40b72c01904a791d
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Nov 28 17:31:43 2014 -0200

    new-event: initialize values before using them
    
    Only to politely ask the compiler to stop complaining about them.

 src/gcal-new-event-widget.c | 2 ++
 1 file changed, 2 insertions(+)

commit 947e23758c227529f8540a778798956c4ca25552
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Nov 26 13:53:20 2014 -0500

    misc: whitespace, comments and strings fixed

 src/gcal-month-view.c  | 12 +++++++++---
 src/gcal-search-view.c |  2 +-
 src/gcal-window.c      |  2 +-
 3 files changed, 11 insertions(+), 5 deletions(-)

commit f3bd29ba9c0b2c269b442c3215796f29b060b636
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Nov 26 13:52:52 2014 -0500

    app: use new search ECalDataModel

 src/gcal-search-view.c | 29 +++++------------------------
 src/gcal-window.c      |  2 --
 2 files changed, 5 insertions(+), 26 deletions(-)

commit 7fa696c137c50ed73d72f3f34892bcdd71ca6cd4
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Nov 26 13:51:50 2014 -0500

    manager: added ECalDataModel for search alone

 src/gcal-manager.c | 26 +++++++++++++++++++++++++-
 src/gcal-manager.h |  5 +++++
 2 files changed, 30 insertions(+), 1 deletion(-)

commit 934b1c4be0b9cb3fbf68412bb0ba68122965258a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Nov 26 13:09:11 2014 -0500

    window: more code moved into ui file

 data/ui/window.ui | 1 +
 src/gcal-window.c | 3 ---
 2 files changed, 1 insertion(+), 3 deletions(-)

commit f8f8991510ed19d2547b975c7cc2f5e71714a770
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Nov 26 09:10:05 2014 -0500

    window: move more code into ui file
    
    Probably I can load the GMenuModel of the popover directly but I don't
    know exactly how, and I've asked already and you can set bindings using
    builder's ui file, just like before I don't know how at this time.

 data/ui/window.ui | 17 +++++++++++++++++
 src/gcal-window.c | 36 +++++++++---------------------------
 2 files changed, 26 insertions(+), 27 deletions(-)

commit aa445c33d1b075079e730535f85c88d9a3288c94
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Nov 25 16:43:35 2014 -0200

    window: remove unneeded set of menu image
    
    This is already done in the builder file.

 src/gcal-window.c | 5 -----
 1 file changed, 5 deletions(-)

commit 8b955cae19779c70fc4294bd56cea85ce868a85c
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Nov 24 23:59:12 2014 -0200

    window: move to builder's ui file
    
    This is way better than programmatically building the entire window interface.

 data/Makefile.am            |   1 +
 data/calendar.gresource.xml |   1 +
 data/ui/window.ui           | 147 ++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-window.c           | 121 ++++++++----------------------------
 4 files changed, 173 insertions(+), 97 deletions(-)

commit c87c0e2ad0bf7ab37ada90af6e5e08aed828e330
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Nov 24 23:12:45 2014 -0200

    window: use GDK_EVENT_PROPAGATE to propagate keys
    
    This is good for code legibility and to be safe from any radical API update.

 src/gcal-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c0a16ac06aca4f25092dda306cb23a2c0d4f4216
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Nov 24 15:46:15 2014 -0200

    window: simplified key handler code
    
    Instead of treating every case, use the builtin gtk_search_bar_handle_event function.

 src/gcal-window.c | 46 +++++++---------------------------------------
 1 file changed, 7 insertions(+), 39 deletions(-)

commit 97cfe4fd797de26fd634e5298b2321f7654996d7
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Nov 24 15:08:53 2014 -0200

    window: correctly hide search bar when not in search mode
    
    Search bar shows an annoying border when it should be hidden. This commit fixes it.
    
    Fixes bug #739913.

 src/gcal-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 4052040be3fe80fbc30fe922ebcf2670a1003d0e
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Thu Nov 20 21:07:32 2014 -0200

    edit-dialog: removed unused grid
    
    This grid has only one child and is completely unnecessary.

 data/ui/edit-dialog.ui | 16 +++-------------
 1 file changed, 3 insertions(+), 13 deletions(-)

commit 89b6c57eddb230f0ecbc9cf5af5692663a3753f7
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Nov 23 19:16:06 2014 -0200

    week-view: another integer rounding issue
    
    Hopefully, this is the last one on the integer rounding series.

 src/gcal-week-view.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 36cd11955fab378825587ab87522010ace462950
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sun Nov 23 19:13:41 2014 -0200

    year-view: fix integer rounding issues

 src/gcal-year-view.c | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

commit f3e83f2a7a42103c213c07889c1a9945fef49b73
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Nov 22 10:24:24 2014 -0200

    week-view: fixed some more integer round issues

 src/gcal-week-view.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 2e8b677d6ae853e979c6c074315df334c607a57e
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Nov 21 19:17:02 2014 -0200

    app: implemented sync action
    
    Useful when the local calendar differs from the remote calendar (i.e. you added an event at Google Calendar).

 data/ui/menus.ui       |  5 +++++
 src/gcal-application.c | 17 ++++++++++++++++
 src/gcal-manager.c     | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-manager.h     |  2 ++
 4 files changed, 78 insertions(+)

commit 3887951323ecdfdd130ae0ed0cd5785b63375a5e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Nov 21 11:12:19 2014 -0500

    month-view: more double to int rounding issues
    
    Style fixes

 src/gcal-month-view.c | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit 260237bc85ba7a665887f60c497492fb470e84a4
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Nov 21 11:12:03 2014 -0500

    month-view: style cleaning

 src/gcal-month-view.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 5cbdf2838797faa8abd28460e5bf6404c44f508a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Nov 21 11:07:06 2014 -0500

    month-view: added current day highlight
    
    Improved ::draw vfunc code. Use .current class to handle active day styling

 data/theme/gtk-styles.css |  1 +
 src/gcal-month-view.c     | 97 +++++++++++++++++++++--------------------------
 2 files changed, 45 insertions(+), 53 deletions(-)

commit d25a6e4cbfb706fd5490eae4910b40353ec3caf9
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Nov 21 16:22:23 2014 -0200

    views: queue a redraw when the current date changes
    
    This partially fixes bug #739550. The warning message is still being emmited.

 src/gcal-month-view.c | 1 +
 src/gcal-week-view.c  | 1 +
 src/gcal-year-view.c  | 1 +
 3 files changed, 3 insertions(+)

commit bb2554b0d4652b8929093deeecac57887c25751a
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Nov 21 13:27:43 2014 -0200

    week-view: fix scrollbar size
    
    Calendar should respect scrollbar natural size. Lapo pointed out that this is pretty inconsistent and should be fixed.
    
    Fixes bug #737854.

 src/gcal-week-view.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit ff6440d206ab8ae0512eac899bcd631ee0d46b09
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Nov 21 12:21:48 2014 -0200

    window: mark headerbar search string as translatable

 src/gcal-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e0fa5763c920d5fa720f38ea3c72d9e12fb8928
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Nov 21 12:01:57 2014 -0200

    month-view: fix rendering issues, smooth resizing
    
    All about integer rounding.
    
    Fixes bug #739294.

 src/gcal-month-view.c | 33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)

commit 298a0e56c2a8959a4ace7961aed394b22f941a2b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 18 13:55:02 2014 -0500

    Revert: month-view: fix cell rendering glitch
    
    This was not the proper fix.

 src/gcal-month-view.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 442514964758140c49d53a277dd6314094ea2dfd
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 18 13:00:48 2014 -0500

    month-view: optimized, organized ::draw vfunc code

 src/gcal-month-view.c | 51 +++++++++++++++++++++++++--------------------------
 1 file changed, 25 insertions(+), 26 deletions(-)

commit 184854e318f728ce3c07a8a4d43bf849315dfb9d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 18 12:31:50 2014 -0500

    week-view: take into account GNOME time format
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703321

 src/gcal-week-view.c | 54 +++++++++++++++++++++++++++++++++++++++++++---------
 src/gcal-week-view.h |  3 +++
 src/gcal-window.c    | 12 ++++++++++++
 3 files changed, 60 insertions(+), 9 deletions(-)

commit 8c5eaa66c8e57dfd5c84d0c69794dc421609e2ce
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 18 11:59:24 2014 -0500

    views: fixed docs style

 src/gcal-month-view.c | 6 ++++--
 src/gcal-week-view.c  | 3 ++-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit c77076c7d6a61218c1b275c845c0638864dee00e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 18 11:58:05 2014 -0500

    week-view: added current day highlight
    
    Cleaned code a little bit. Removed unnecessary instructions. Added style
    class to handle current day.

 data/theme/gtk-styles.css |   4 +
 src/gcal-week-view.c      | 561 ++++++++++++++++++++++++----------------------
 2 files changed, 293 insertions(+), 272 deletions(-)

commit 746864e7bca08524332883021c0b69a5726b54b0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Nov 10 16:25:27 2014 -0500

    event-widget: fix icons scaling, made 16x always.
    
    Previously the scaling was made to the size of the text layout which
    caused a blurriness of the icon. Making its size a multiple of 16 made
    the icon preserve its sharpness.

 src/gcal-event-widget.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit cba6da043dd1cabda9c8d28e61de6a029f0b823b
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Tue Nov 4 20:47:17 2014 -0200

    edit-dialog: removed unused code
    
    Also, updates the edit dialog to the newer backend design, removing all traces of the old cached data type.
    
    This patch is mostly functional, but it introduces some crashes after the component is updated.

 src/gcal-edit-dialog.c | 672 +++++++++++++++++++++----------------------------
 src/gcal-edit-dialog.h |  10 -
 2 files changed, 283 insertions(+), 399 deletions(-)

commit 3b9f2aa1283ec1908082ad55919236c35d4aa8da
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Nov 7 20:34:45 2014 -0500

    window: set timezone of date when moving to today

 src/gcal-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit c5263294506f77b4c6b3147cc4ae934403fe7372
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Nov 7 20:34:25 2014 -0500

    misc: code style and comments removed

 src/gcal-event-widget.c | 1 -
 src/gcal-month-view.c   | 4 +---
 src/gcal-year-view.c    | 1 -
 3 files changed, 1 insertion(+), 5 deletions(-)

commit 251e849548c91c72376e545ea00698772c00b5b5
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Nov 7 19:56:12 2014 -0500

    year-view: launch edit dialog on event activate

 src/gcal-year-view.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 2cecaf9337928b84bc6bddfdd3251cf2466928b5
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Nov 7 16:47:23 2014 -0500

    week-view: add first_weekday setting to view
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703317

 src/gcal-week-view.c | 49 +++++++++++++++++++++++++++++++++++++------------
 src/gcal-week-view.h |  3 +++
 src/gcal-window.c    |  3 +++
 3 files changed, 43 insertions(+), 12 deletions(-)

commit a67635bb053e9ddea41cce50e5274e0fd1774e58
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Nov 7 14:50:57 2014 -0500

    month-view: add first_weekday settings to view
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703317

 src/gcal-month-view.c | 35 +++++++++++++++++++++++++++++++++--
 src/gcal-month-view.h |  3 +++
 src/gcal-window.c     |  3 +++
 3 files changed, 39 insertions(+), 2 deletions(-)

commit ff73499ab059dd5caa5d6511f0ad83a7e69c9eae
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Fri Nov 7 14:49:45 2014 -0500

    utils: retrieve first_weekday from locale
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=703317

 src/gcal-utils.c | 11 +++++++++++
 src/gcal-utils.h |  2 ++
 2 files changed, 13 insertions(+)

commit 8531fedde9e19a00364d5c76969d65f37947877f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Nov 5 12:23:05 2014 -0500

    month-view: optimize set :date property
    
    There's no need to calculate first day of month date twice.

 src/gcal-month-view.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 4d7237b46e3b918a9d2815a3e2f0b390424bcdaa
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Nov 5 09:39:11 2014 -0500

    window: shorten stack transition duration

 src/gcal-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c9d347ccebafa13f29e38f49ca442d3b1d83ce77
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Nov 5 09:38:51 2014 -0500

    misc: updates to code style and docs

 src/gcal-month-view.c |  4 ----
 src/gcal-window.c     | 15 ++++++++-------
 2 files changed, 8 insertions(+), 11 deletions(-)

commit 461057727b86b83d53dd709898468c6ae53c013c
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Nov 5 09:36:06 2014 -0500

    window: sync search-view hiding with stack transition
    
    The previous approach was causing an error on the animation code of
    GtkStack because the search-view's GdkWindow was banishing before
    the end of the animation.

 src/gcal-window.c | 53 ++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 44 insertions(+), 9 deletions(-)

commit e68ca325b44d56cc981a3acb6ca87172131dc4e1
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 4 15:46:15 2014 -0500

    views: use GcalEventWidget API for locked sate

 src/gcal-search-view.c | 3 +++
 src/gcal-subscriber.c  | 4 ++++
 2 files changed, 7 insertions(+)

commit 4c98b16c766178009dee9196f69fe0e9239aae69
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 4 15:45:49 2014 -0500

    event-widget: render locked state of the calendar

 src/gcal-event-widget.c | 59 +++++++++++++++++++++++++++++++++++++++++++++++--
 src/gcal-event-widget.h |  3 +++
 2 files changed, 60 insertions(+), 2 deletions(-)

commit b3cab4733496f04005f2bd6dadb850550ce31e3d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 4 15:14:05 2014 -0500

    build: remove unused c/css code

 data/Makefile.am            |  1 -
 data/calendar.gresource.xml |  1 -
 data/theme/gtk-styles.css   | 18 ------------------
 data/ui/viewport.ui         | 35 -----------------------------------
 4 files changed, 55 deletions(-)

commit f4eaf2217d0d565fe60cb0d80af3c1d038c2e809
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 4 15:05:10 2014 -0500

    search: added initial search implementation

 src/Makefile.am        |   2 +
 src/gcal-manager.c     |  20 ++++
 src/gcal-manager.h     |   3 +
 src/gcal-search-view.c | 315 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-search-view.h |  55 +++++++++
 src/gcal-window.c      | 210 ++++++++++++++++++++-------------
 6 files changed, 525 insertions(+), 80 deletions(-)

commit 516a6110559499ed1cedbb41b8cb3b73e59877d2
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Nov 4 10:41:06 2014 -0500

    window: handle key pressed properly
    
    Before the code handling key presses was an unreadable mess. Now we use
    gtk_accelerator_get_default_mod_mask as stated on Gtk documentation.

 src/gcal-window.c | 46 +++++++++++++++++++++++++++-------------------
 1 file changed, 27 insertions(+), 19 deletions(-)

commit 2e82b098b3984cddaa7181dcefe9e193792ce818
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Nov 3 13:51:48 2014 -0500

    build: replace Gtk deprecated calls

 src/gcal-event-widget.c |  4 ++--
 src/gcal-month-view.c   |  4 ++--
 src/gcal-week-view.c    | 12 ++++++------
 src/gcal-year-view.c    |  4 ++--
 4 files changed, 12 insertions(+), 12 deletions(-)

commit 80b3e5d3c8b653fe1b8e60ab556b760ba4d0a621
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Nov 3 13:19:46 2014 -0500

    window: fix memory leak

 src/gcal-window.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit d301a07f4b18b6627df3780fb49ae6181207d081
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Nov 3 11:55:37 2014 -0500

    week-view: increase ref count on parent window
    
    The call to GtkWidget::unrealize was destroying GtkStack window because
    of the reference increasing on GcalWeekView when setting the
    parent_window as its own.
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=739554

 src/gcal-week-view.c | 1 +
 1 file changed, 1 insertion(+)

commit 8e878f0a0623c3cd37af16f23d425ffcf47e6705
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Nov 3 10:18:18 2014 -0200

    edit-dialog: show Save label for editable events
    
    Fixes bug #739309.

 src/gcal-edit-dialog.c | 3 +++
 1 file changed, 3 insertions(+)

commit 56e69f7c883fcb801d82cdc4b98c473353f30989
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Fri Oct 31 00:14:20 2014 -0200

    edit-dialog: implements GCAL_RESPONSE_SAVE_EVENT
    
    This patch mainly implements GCAL_RESPONSE_SAVE_EVENT. It updates the event correctly, no matter in which source it is.
    
    Signed-off-by: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>

 src/gcal-edit-dialog.c | 21 ++++++++++++++++++++-
 src/gcal-edit-dialog.h |  5 +++++
 src/gcal-manager.c     | 51 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-manager.h     |  5 +++++
 src/gcal-window.c      | 15 ++++++++++++++-
 5 files changed, 95 insertions(+), 2 deletions(-)

commit 5a1f12ad007ee4795c0b25a458e4b61357c61424
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 28 23:06:54 2014 -0400

    event-widget: make more CSS compliant
    
    There are some other changes:
    1. Renamed widget class to "event-widget" to avoid collisions
    2. Added contrasting event title coloring
    3. Use gtk_render functions

 data/theme/gtk-styles.css | 23 +++++++++++++++---
 src/gcal-event-widget.c   | 60 +++++++++++++++++++++++++++++++----------------
 2 files changed, 60 insertions(+), 23 deletions(-)

commit 5397a1e4ba43debe6bc1230d92ed471c168102bb
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 28 13:53:24 2014 -0400

    edit-dialog: fix wrongly updating ECalComponent
    
    GcalEditDialog::clear_data was clearing the summary on the internal
    ECalComponent instance. Blocking signal handler call allow to clear the
    widget without clearing the component.
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=739307

 src/gcal-edit-dialog.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit de90213fd7b596f6af812842287d1847b1955708
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 28 12:10:31 2014 -0400

    month-view: fix cell rendering glitch
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=739294

 src/gcal-month-view.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit b8a4812f3b4bf07abe5bdc8eed47f035b4e573fb
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Mon Oct 27 23:20:49 2014 -0200

    edit-dialog: don't keep an internal cached version of the summary
    
    This is part of the Edit dialog's redesign.
    
    Fixes bug #739268.

 src/gcal-edit-dialog.c | 38 +++++++++++++++++++++++++++-----------
 1 file changed, 27 insertions(+), 11 deletions(-)

commit 74c9f009d8cf9a6af3478734c34681cebb22e72e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Oct 27 23:16:06 2014 -0400

    edit-dialog: show events description, minor tweaks

 data/ui/edit-dialog.ui |  4 ++--
 src/gcal-edit-dialog.c | 17 ++++++++++++-----
 src/gcal-utils.c       | 45 +++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-utils.h       |  4 ++++
 4 files changed, 63 insertions(+), 7 deletions(-)

commit eb436f57db5cc69bdaffd8b814725fbe4f8598dc
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Oct 23 11:17:16 2014 -0400

    window: update setting when the view changes
    
    Note: Eventually I ended reverting the changes I have made here a few
    commits back.

 src/gcal-window.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1c98dd5c0429060b4e376c682323db65827df717
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Oct 23 09:42:02 2014 -0400

    window: fix update labels on view change
    
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=739039

 src/gcal-window.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit e8735037442480c018faea74edb8a9cb1c5d74e0
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Oct 23 01:01:44 2014 -0400

    app: added search-view to window views enum

 src/gcal-utils.h  | 1 +
 src/gcal-window.c | 2 ++
 2 files changed, 3 insertions(+)

commit 852c5eda9f54623b4de6dc9d96e0d98e7e946eaa
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Thu Oct 23 01:00:56 2014 -0400

    style: remove duplicated '_subscriber' prefix

 src/gcal-subscriber.c | 64 ++++++++++++++++++++++++++-------------------------
 1 file changed, 33 insertions(+), 31 deletions(-)

commit 9ffabe03bacdbcbec9169d0c35faf8c703e45543
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Oct 22 01:06:08 2014 -0400

    week-view: fix unref of not added widget
    
    This works in conjunction with code implemented in GcalSubscriber where
    the ownership of the event widget passes into the container, so the
    container is free to delete it in case it does not fit into the range
    represented by the view.

 src/gcal-week-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 48bcb573636cb5698468e39005f7b8cc2482e4ab
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Oct 22 01:04:46 2014 -0400

    week-view: rename internal method
    
    Note: The body of the method was added by mistake on the previous
    commit. This commit make the code build again.

 src/gcal-week-view.c | 59 ++++++----------------------------------------------
 1 file changed, 6 insertions(+), 53 deletions(-)

commit dc21b7076049dced9a5995a018fd40d8a767f84f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Oct 22 01:02:37 2014 -0400

    week-view: add subscriber range update
    
    Remove unneeded GcalView deprecated method.
    Hook event widget activation

 src/gcal-week-view.c | 182 +++++++++++++++++++++++++++------------------------
 src/gcal-week-view.h |   6 +-
 2 files changed, 98 insertions(+), 90 deletions(-)

commit dd2a0da88342b06f1377915d94a119545f2d5880
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Oct 22 00:42:48 2014 -0400

    misc: fix styling issues and gcc warnings
    
    Update code style

 HACKING                 |  3 +++
 src/gcal-event-widget.h |  2 +-
 src/gcal-manager.c      |  4 +---
 src/gcal-week-view.c    | 43 ++++++++++++++++++++++++++++++-------------
 src/gcal-window.c       | 23 +++++++++++++++--------
 5 files changed, 50 insertions(+), 25 deletions(-)

commit d7d8dd94eed2f479d091a59293a28464bb5b056f
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Oct 22 00:40:53 2014 -0400

    window: update date on view on binding creation
    
    Ensure the views has events widgets in it for the first time the user
    clicks on it.

 src/gcal-window.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4bdc696b54ce8316aa48c6c73a859768663a89c5
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Wed Oct 22 00:39:49 2014 -0400

    window: update_view when the property changes
    
    Update the value of the internal holder of the property

 src/gcal-window.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f988eac12f3460d3920b1341d08ae7f9b1da853b
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 01:36:14 2014 -0400

    view iface: remove more unused methods
    
    GcalView::draw_event overlapped a bit with GcalView::will_add_event, so
    the same reasons for removing one stand for the other.
    GcalView::clear was a hack for the composited GcalDayView which has
    gone, and was a bad experiment.

 src/gcal-month-view.c | 32 --------------------------------
 src/gcal-view.c       | 41 -----------------------------------------
 src/gcal-view.h       |  8 --------
 src/gcal-week-view.c  |  4 ++--
 src/gcal-year-view.c  | 31 -------------------------------
 5 files changed, 2 insertions(+), 114 deletions(-)

commit 5422066bb0a4c2ea898c30991fc4d840cbd3f10e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 01:29:03 2014 -0400

    view iface: another round at cleaning
    
    Remove unused methods laying there for a long time now.

 src/gcal-view.c | 19 -------------------
 src/gcal-view.h | 14 --------------
 2 files changed, 33 deletions(-)

commit 8e066850a37c5fd771f1b1e77adbbbe8ae050612
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 01:28:44 2014 -0400

    window: added New Event item to menu button
    
    Updated label on app-menu action.

 data/ui/menus.ui  | 10 +++++++++-
 src/gcal-window.c | 25 +++++++++++++++++++++++--
 2 files changed, 32 insertions(+), 3 deletions(-)

commit defb99d8a826afccba5418cf3adf86e96ecdf884
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 00:59:46 2014 -0400

    window: replace New Event with Today button
    
    As Lapo rightfully explain, providing a button there for creating a new
    event is way to prominently and might divert users of the intended click
    on a cell behavior to create an event.
    New event will be also accessible from the hamburger icon on the left of
    the header-bar and Ctrl-N key shortcut.
    Also as Lapo suggestion Today button fall better on the header bar than
    between the navigation buttons.

 data/ui/nav_bar.ui | 24 +-----------------------
 src/gcal-nav-bar.c | 11 -----------
 src/gcal-nav-bar.h |  2 --
 src/gcal-window.c  | 23 ++++++++++-------------
 4 files changed, 11 insertions(+), 49 deletions(-)

commit 28be6bc581b9ddef192b9c23d13a3800de4428ac
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 00:52:08 2014 -0400

    window: remove FIXME comment
    
    edit_dialog_closed already hides the widget. Reminder is not needed anymore

 src/gcal-window.c | 1 -
 1 file changed, 1 deletion(-)

commit 18b4ef8186285454b28db9f0679c7ef08251423a
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 00:49:32 2014 -0400

    month-view: remove FIXME
    
    Subscription is already being made. Remove reminder.

 src/gcal-month-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f2b01018f9dcd6c268ac50af39ea49f57bac055
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 00:45:04 2014 -0400

    view iface: remove unused will_add_event
    
    ECalDataModelSubscriber interface notify each view only about the events
    beloging to the subscribed range so there's no need of checking if the
    event widget will be added.
    The safety check of not adding the same widget twice its stil being made
    on each GtkContainer::add implementation.

 src/gcal-month-view.c | 34 ----------------------------------
 src/gcal-view.c       | 22 ----------------------
 src/gcal-view.h       |  6 ------
 src/gcal-week-view.c  | 12 ------------
 src/gcal-year-view.c  | 13 -------------
 5 files changed, 87 deletions(-)

commit c7e27c7ef4861264b6d7b5bcd6eabeb3fc4a2cd9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 00:33:19 2014 -0400

    year-view: makes a descendant of GcalSubscriber

 src/gcal-year-view.c | 41 +++++++++++++++++++++++++++++++----------
 src/gcal-year-view.h |  6 +++---
 2 files changed, 34 insertions(+), 13 deletions(-)

commit aca1b66743d01e084b5b1c483878ce3f4fee674e
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 00:24:34 2014 -0400

    month-view: makes a descendant of GcalSubscriber
    
    By making GcalMonthView a descendat of GcalSubscriber it gets
    implementation for each of the methods on ECalDataModel subscriber and
    utomatically gains the functionality of adding and removing events widgets

 src/gcal-month-view.c | 135 +++-----------------------------------------------
 src/gcal-month-view.h |   7 ++-
 2 files changed, 9 insertions(+), 133 deletions(-)

commit cfb2c39a7df3afdaf6dc9690aa7594ec53a12252
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Tue Oct 21 00:21:25 2014 -0400

    build: add GcalSubscriber abstract class
    
    GcalSubscriber abstract class is meant for handling the implementation
    of ECalDataModelSubscriber interface. The code in each vfunc implemented
    is the same for each view, then it makes sense to have a class holding
    these implementations and make every views descend from it. This class
    sits in the middle between GtkContainer and each of the views.

 src/Makefile.am       |   2 +
 src/gcal-subscriber.c | 157 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/gcal-subscriber.h |  53 +++++++++++++++++
 3 files changed, 212 insertions(+)

commit 605cb7fc25bd78e82df13cadfca973de4396f311
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Oct 20 23:57:30 2014 -0400

    build: stop complaints from gcc
    
    Gcc complaints this variable may be used uninitialized

 src/gcal-event-widget.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37f0e8ecfdf83295329c382db4be08dacb374b58
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Oct 20 23:56:35 2014 -0400

    style: add entry class to notes textview

 data/ui/edit-dialog.ui | 3 +++
 1 file changed, 3 insertions(+)

commit 68a427528c1af87b3718ba82acb8b09a0e172ef9
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Oct 20 23:55:21 2014 -0400

    manager: fix remove source from ECalDataModel
    
    When a source is removed should be removed from the internal
    ECalDataModel instance as well

 src/gcal-manager.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 772fa7b5862744bf955d0eafe81b873b7fdf4a0d
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Oct 20 23:46:21 2014 -0400

    manager: remove internal date range
    
    This is not needed since the range is kept by ECalDataModel instance

 src/gcal-manager.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit 792c6a9ceca19375783c27569df414155ccf77cb
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Mon Oct 20 23:22:58 2014 -0400

    manager: remove internal query
    
    The internal query is not needed since that's handled now by the
    ECalDataModel instance

 src/gcal-manager.c | 137 -----------------------------------------------------
 src/gcal-manager.h |   4 --
 2 files changed, 141 deletions(-)

commit 5f8cadb650311a7bd938be47f2ef7b2e7ff52e36
Author: Erick Pérez Castellanos <erick.red@gmail.com>
